# Contents of the UniMath library
The packages and files are listed here in logical order: each file depends only on files occurring earlier.
## Package [Foundations](Foundations/README)
   - [Init.v](Foundations/Init.v)
   - [Preamble.v](Foundations/Preamble.v)
   - [PartA.v](Foundations/PartA.v)
   - [PartB.v](Foundations/PartB.v)
   - [UnivalenceAxiom.v](Foundations/UnivalenceAxiom.v)
   - [PartC.v](Foundations/PartC.v)
   - [PartD.v](Foundations/PartD.v)
   - [UnivalenceAxiom2.v](Foundations/UnivalenceAxiom2.v)
   - [Propositions.v](Foundations/Propositions.v)
   - [Sets.v](Foundations/Sets.v)
   - [NaturalNumbers.v](Foundations/NaturalNumbers.v)
   - [Tests.v](Foundations/Tests.v)
   - [HLevels.v](Foundations/HLevels.v)
   - [All.v](Foundations/All.v)
## Package [MoreFoundations](MoreFoundations/README.md)
   - [Bool.v](MoreFoundations/Bool.v)
   - [Test.v](MoreFoundations/Test.v)
   - [WeakEquivalences.v](MoreFoundations/WeakEquivalences.v)
   - [Tactics.v](MoreFoundations/Tactics.v)
   - [PartA.v](MoreFoundations/PartA.v)
   - [PathsOver.v](MoreFoundations/PathsOver.v)
   - [Nat.v](MoreFoundations/Nat.v)
   - [Notations.v](MoreFoundations/Notations.v)
   - [AlternativeProofs.v](MoreFoundations/AlternativeProofs.v)
   - [DoubleNegation.v](MoreFoundations/DoubleNegation.v)
   - [DecidablePropositions.v](MoreFoundations/DecidablePropositions.v)
   - [Propositions.v](MoreFoundations/Propositions.v)
   - [NullHomotopies.v](MoreFoundations/NullHomotopies.v)
   - [Interval.v](MoreFoundations/Interval.v)
   - [NegativePropositions.v](MoreFoundations/NegativePropositions.v)
   - [Sets.v](MoreFoundations/Sets.v)
   - [Orders.v](MoreFoundations/Orders.v)
   - [Equivalences.v](MoreFoundations/Equivalences.v)
   - [MoreEquivalences.v](MoreFoundations/MoreEquivalences.v)
   - [QuotientSet.v](MoreFoundations/QuotientSet.v)
   - [Subtypes.v](MoreFoundations/Subtypes.v)
   - [AxiomOfChoice.v](MoreFoundations/AxiomOfChoice.v)
   - [StructureIdentity.v](MoreFoundations/StructureIdentity.v)
   - [Univalence.v](MoreFoundations/Univalence.v)
   - [NoInjectivePairing.v](MoreFoundations/NoInjectivePairing.v)
   - [PartD.v](MoreFoundations/PartD.v)
   - [All.v](MoreFoundations/All.v)
## Package [Combinatorics](Combinatorics/README.md)
   - [StandardFiniteSets.v](Combinatorics/StandardFiniteSets.v)
   - [Vectors.v](Combinatorics/Vectors.v)
   - [VectorsTests.v](Combinatorics/VectorsTests.v)
   - [Lists.v](Combinatorics/Lists.v)
   - [FiniteSets.v](Combinatorics/FiniteSets.v)
   - [KFiniteTypes.v](Combinatorics/KFiniteTypes.v)
   - [KFiniteSubtypes.v](Combinatorics/KFiniteSubtypes.v)
   - [Graph.v](Combinatorics/Graph.v)
   - [CGraph.v](Combinatorics/CGraph.v)
   - [GraphPaths.v](Combinatorics/GraphPaths.v)
   - [Equivalence_Relations.v](Combinatorics/Equivalence_Relations.v)
   - [WellFoundedRelations.v](Combinatorics/WellFoundedRelations.v)
   - [ZFstructures.v](Combinatorics/ZFstructures.v)
   - [FiniteSequences.v](Combinatorics/FiniteSequences.v)
   - [BoundedSearch.v](Combinatorics/BoundedSearch.v)
   - [MetricTree.v](Combinatorics/MetricTree.v)
   - [Tests.v](Combinatorics/Tests.v)
   - [DecSet.v](Combinatorics/DecSet.v)
   - [Maybe.v](Combinatorics/Maybe.v)
   - [MoreLists.v](Combinatorics/MoreLists.v)
   - [Tuples.v](Combinatorics/Tuples.v)
   - [All.v](Combinatorics/All.v)
## Package [Algebra](Algebra/README.md)
   - [BinaryOperations.v](Algebra/BinaryOperations.v)
   - [Monoids2.v](Algebra/Monoids2.v)
   - [AbelianMonoids.v](Algebra/AbelianMonoids.v)
   - [Monoids.v](Algebra/Monoids.v)
   - [Groups2.v](Algebra/Groups2.v)
   - [AbelianGroups.v](Algebra/AbelianGroups.v)
   - [Groups.v](Algebra/Groups.v)
   - [GroupAction.v](Algebra/GroupAction.v)
   - [RigsAndRings.v](Algebra/RigsAndRings.v)
   - [RigsAndRings/Ideals.v](Algebra/RigsAndRings/Ideals.v)
   - [Domains_and_Fields.v](Algebra/Domains_and_Fields.v)
   - [DivisionRig.v](Algebra/DivisionRig.v)
   - [Apartness.v](Algebra/Apartness.v)
   - [ConstructiveStructures.v](Algebra/ConstructiveStructures.v)
   - [Archimedean.v](Algebra/Archimedean.v)
   - [IteratedBinaryOperations.v](Algebra/IteratedBinaryOperations.v)
   - [Free_Monoids_and_Groups.v](Algebra/Free_Monoids_and_Groups.v)
   - [Tests.v](Algebra/Tests.v)
   - [Modules/Core.v](Algebra/Modules/Core.v)
   - [Modules/Submodule.v](Algebra/Modules/Submodule.v)
   - [Modules/Multimodules.v](Algebra/Modules/Multimodules.v)
   - [Modules/Examples.v](Algebra/Modules/Examples.v)
   - [Modules/Quotient.v](Algebra/Modules/Quotient.v)
   - [Modules.v](Algebra/Modules.v)
   - [Matrix.v](Algebra/Matrix.v)
   - [Universal/HVectors.v](Algebra/Universal/HVectors.v)
   - [Universal/SortedTypes.v](Algebra/Universal/SortedTypes.v)
   - [Universal/Signatures.v](Algebra/Universal/Signatures.v)
   - [Universal/Algebras.v](Algebra/Universal/Algebras.v)
   - [Universal/Terms.v](Algebra/Universal/Terms.v)
   - [Universal/TermAlgebras.v](Algebra/Universal/TermAlgebras.v)
   - [Universal/VTerms.v](Algebra/Universal/VTerms.v)
   - [Universal/FreeAlgebras.v](Algebra/Universal/FreeAlgebras.v)
   - [Universal/Equations.v](Algebra/Universal/Equations.v)
   - [Universal/EqAlgebras.v](Algebra/Universal/EqAlgebras.v)
   - [Universal/WTypes.v](Algebra/Universal/WTypes.v)
   - [Universal/Examples/Nat.v](Algebra/Universal/Examples/Nat.v)
   - [Universal/Examples/Bool.v](Algebra/Universal/Examples/Bool.v)
   - [Universal/Examples/Monoid.v](Algebra/Universal/Examples/Monoid.v)
   - [Universal/Examples/Group.v](Algebra/Universal/Examples/Group.v)
   - [Universal/Examples/ListDataType.v](Algebra/Universal/Examples/ListDataType.v)
   - [Universal/Examples/Tests.v](Algebra/Universal/Examples/Tests.v)
   - [Universal.v](Algebra/Universal.v)
   - [GaussianElimination/Auxiliary.v](Algebra/GaussianElimination/Auxiliary.v)
   - [GaussianElimination/Vectors.v](Algebra/GaussianElimination/Vectors.v)
   - [GaussianElimination/Matrices.v](Algebra/GaussianElimination/Matrices.v)
   - [GaussianElimination/RowOps.v](Algebra/GaussianElimination/RowOps.v)
   - [GaussianElimination/Elimination.v](Algebra/GaussianElimination/Elimination.v)
   - [GaussianElimination/Corollaries.v](Algebra/GaussianElimination/Corollaries.v)
   - [GaussianElimination/Tests.v](Algebra/GaussianElimination/Tests.v)
   - [All.v](Algebra/All.v)
## Package Tactics
   - [EnsureStructuredProofs.v](Tactics/EnsureStructuredProofs.v)
   - [Utilities.v](Tactics/Utilities.v)
   - [Monoids_Tactics.v](Tactics/Monoids_Tactics.v)
   - [Abmonoids_Tactics.v](Tactics/Abmonoids_Tactics.v)
   - [Groups_Tactics.v](Tactics/Groups_Tactics.v)
   - [Nat_Tactics.v](Tactics/Nat_Tactics.v)
   - [All.v](Tactics/All.v)
## Package NumberSystems
   - [NaturalNumbersAlgebra.v](NumberSystems/NaturalNumbersAlgebra.v)
   - [NaturalNumbers_le_Inductive.v](NumberSystems/NaturalNumbers_le_Inductive.v)
   - [Integers.v](NumberSystems/Integers.v)
   - [RationalNumbers.v](NumberSystems/RationalNumbers.v)
   - [Tests.v](NumberSystems/Tests.v)
   - [All.v](NumberSystems/All.v)
## Package [SyntheticHomotopyTheory](SyntheticHomotopyTheory/README.md)
   - [Coproduct.v](SyntheticHomotopyTheory/Coproduct.v)
   - [Halfline.v](SyntheticHomotopyTheory/Halfline.v)
   - [AffineLine.v](SyntheticHomotopyTheory/AffineLine.v)
   - [Circle.v](SyntheticHomotopyTheory/Circle.v)
   - [Circle2.v](SyntheticHomotopyTheory/Circle2.v)
   - [Test.v](SyntheticHomotopyTheory/Test.v)
   - [All.v](SyntheticHomotopyTheory/All.v)
## Package [PAdics](PAdics/README.md)
   - [lemmas.v](PAdics/lemmas.v)
   - [fps.v](PAdics/fps.v)
   - [frac.v](PAdics/frac.v)
   - [z_mod_p.v](PAdics/z_mod_p.v)
   - [padics.v](PAdics/padics.v)
   - [All.v](PAdics/All.v)
## Package OrderTheory
   - [Posets/Basics.v](OrderTheory/Posets/Basics.v)
   - [Posets/MonotoneFunctions.v](OrderTheory/Posets/MonotoneFunctions.v)
   - [Posets/PosetSum.v](OrderTheory/Posets/PosetSum.v)
   - [Posets/PointedPosets.v](OrderTheory/Posets/PointedPosets.v)
   - [Posets/LiftPoset.v](OrderTheory/Posets/LiftPoset.v)
   - [Posets/QuotientPoset.v](OrderTheory/Posets/QuotientPoset.v)
   - [Posets/Subposets.v](OrderTheory/Posets/Subposets.v)
   - [Posets.v](OrderTheory/Posets.v)
   - [Posets/Examples/StandardFiniteSet.v](OrderTheory/Posets/Examples/StandardFiniteSet.v)
   - [Lattice/Lattice.v](OrderTheory/Lattice/Lattice.v)
   - [Lattice/Bounded.v](OrderTheory/Lattice/Bounded.v)
   - [Lattice/Complement.v](OrderTheory/Lattice/Complement.v)
   - [Lattice/Distributive.v](OrderTheory/Lattice/Distributive.v)
   - [Lattice/Heyting.v](OrderTheory/Lattice/Heyting.v)
   - [Lattice/CompleteHeyting.v](OrderTheory/Lattice/CompleteHeyting.v)
   - [Lattice/Boolean.v](OrderTheory/Lattice/Boolean.v)
   - [Lattice/Examples/FromPartialOrder.v](OrderTheory/Lattice/Examples/FromPartialOrder.v)
   - [Lattice/Examples/Bool.v](OrderTheory/Lattice/Examples/Bool.v)
   - [Lattice/Examples/Subsets.v](OrderTheory/Lattice/Examples/Subsets.v)
   - [Lattice/Examples/Sieves.v](OrderTheory/Lattice/Examples/Sieves.v)
   - [Prebilattice/Prebilattice.v](OrderTheory/Prebilattice/Prebilattice.v)
   - [Prebilattice/Interlaced.v](OrderTheory/Prebilattice/Interlaced.v)
   - [Prebilattice/Distributive.v](OrderTheory/Prebilattice/Distributive.v)
   - [Prebilattice/PrebilatticeDisplayedCat.v](OrderTheory/Prebilattice/PrebilatticeDisplayedCat.v)
   - [Prebilattice/Product.v](OrderTheory/Prebilattice/Product.v)
   - [Prebilattice/Examples/FOUR.v](OrderTheory/Prebilattice/Examples/FOUR.v)
   - [OrderedSets/OrderedSets.v](OrderTheory/OrderedSets/OrderedSets.v)
   - [OrderedSets/WellOrderedSets.v](OrderTheory/OrderedSets/WellOrderedSets.v)
   - [DCPOs/Core/DirectedSets.v](OrderTheory/DCPOs/Core/DirectedSets.v)
   - [DCPOs/Core/Basics.v](OrderTheory/DCPOs/Core/Basics.v)
   - [DCPOs/Core/WayBelow.v](OrderTheory/DCPOs/Core/WayBelow.v)
   - [DCPOs/Basis/Continuous.v](OrderTheory/DCPOs/Basis/Continuous.v)
   - [DCPOs/Basis/Algebraic.v](OrderTheory/DCPOs/Basis/Algebraic.v)
   - [DCPOs/Core/ScottTopology.v](OrderTheory/DCPOs/Core/ScottTopology.v)
   - [DCPOs/Core/IntrinsicApartness.v](OrderTheory/DCPOs/Core/IntrinsicApartness.v)
   - [DCPOs/Core/ScottContinuous.v](OrderTheory/DCPOs/Core/ScottContinuous.v)
   - [DCPOs/Basis/Basis.v](OrderTheory/DCPOs/Basis/Basis.v)
   - [DCPOs/Basis/CompactBasis.v](OrderTheory/DCPOs/Basis/CompactBasis.v)
   - [DCPOs/Elements/Sharp.v](OrderTheory/DCPOs/Elements/Sharp.v)
   - [DCPOs/Elements/Maximal.v](OrderTheory/DCPOs/Elements/Maximal.v)
   - [DCPOs/Examples/Unit.v](OrderTheory/DCPOs/Examples/Unit.v)
   - [DCPOs/Examples/Propositions.v](OrderTheory/DCPOs/Examples/Propositions.v)
   - [DCPOs/Examples/Discrete.v](OrderTheory/DCPOs/Examples/Discrete.v)
   - [DCPOs/Examples/SubDCPO.v](OrderTheory/DCPOs/Examples/SubDCPO.v)
   - [DCPOs/Examples/Fixpoints.v](OrderTheory/DCPOs/Examples/Fixpoints.v)
   - [DCPOs/Examples/Equalizers.v](OrderTheory/DCPOs/Examples/Equalizers.v)
   - [DCPOs/Examples/BinaryProducts.v](OrderTheory/DCPOs/Examples/BinaryProducts.v)
   - [DCPOs/Examples/Products.v](OrderTheory/DCPOs/Examples/Products.v)
   - [DCPOs/Examples/BinarySums.v](OrderTheory/DCPOs/Examples/BinarySums.v)
   - [DCPOs/Examples/Sums.v](OrderTheory/DCPOs/Examples/Sums.v)
   - [DCPOs/Examples/IdealCompletion.v](OrderTheory/DCPOs/Examples/IdealCompletion.v)
   - [DCPOs/Core/FubiniTheorem.v](OrderTheory/DCPOs/Core/FubiniTheorem.v)
   - [DCPOs/Core/CoordinateContinuity.v](OrderTheory/DCPOs/Core/CoordinateContinuity.v)
   - [DCPOs/Examples/Exponentials.v](OrderTheory/DCPOs/Examples/Exponentials.v)
   - [DCPOs/FixpointTheorems/LeastFixpoint.v](OrderTheory/DCPOs/FixpointTheorems/LeastFixpoint.v)
   - [DCPOs/FixpointTheorems/Pataraia.v](OrderTheory/DCPOs/FixpointTheorems/Pataraia.v)
   - [DCPOs/AlternativeDefinitions/Dcpo.v](OrderTheory/DCPOs/AlternativeDefinitions/Dcpo.v)
   - [DCPOs/AlternativeDefinitions/FixedPointTheorems.v](OrderTheory/DCPOs/AlternativeDefinitions/FixedPointTheorems.v)
   - [DCPOs.v](OrderTheory/DCPOs.v)
   - [All.v](OrderTheory/All.v)
## Package [CategoryTheory](CategoryTheory/README.md)
   - [Core/Categories.v](CategoryTheory/Core/Categories.v)
   - [Core/Isos.v](CategoryTheory/Core/Isos.v)
   - [Core/Univalence.v](CategoryTheory/Core/Univalence.v)
   - [Core/TwoCategories.v](CategoryTheory/Core/TwoCategories.v)
   - [Core/TransportMorphisms.v](CategoryTheory/Core/TransportMorphisms.v)
   - [Core/Functors.v](CategoryTheory/Core/Functors.v)
   - [Core/NaturalTransformations.v](CategoryTheory/Core/NaturalTransformations.v)
   - [Core/Setcategories.v](CategoryTheory/Core/Setcategories.v)
   - [Core/EssentiallyAlgebraic.v](CategoryTheory/Core/EssentiallyAlgebraic.v)
   - [Core/Prelude.v](CategoryTheory/Core/Prelude.v)
   - [FunctorCategory.v](CategoryTheory/FunctorCategory.v)
   - [whiskering.v](CategoryTheory/whiskering.v)
   - [BicatOfCatsElementary.v](CategoryTheory/BicatOfCatsElementary.v)
   - [DisplayedCats/Core.v](CategoryTheory/DisplayedCats/Core.v)
   - [DisplayedCats/Isos.v](CategoryTheory/DisplayedCats/Isos.v)
   - [DisplayedCats/Functors.v](CategoryTheory/DisplayedCats/Functors.v)
   - [DisplayedCats/NaturalTransformations.v](CategoryTheory/DisplayedCats/NaturalTransformations.v)
   - [DisplayedCats/Univalence.v](CategoryTheory/DisplayedCats/Univalence.v)
   - [DisplayedCats/DisplayedFunctorEq.v](CategoryTheory/DisplayedCats/DisplayedFunctorEq.v)
   - [DisplayedCats/Total.v](CategoryTheory/DisplayedCats/Total.v)
   - [DisplayedCats/Fiber.v](CategoryTheory/DisplayedCats/Fiber.v)
   - [DisplayedCats/FullyFaithfulDispFunctor.v](CategoryTheory/DisplayedCats/FullyFaithfulDispFunctor.v)
   - [opp_precat.v](CategoryTheory/opp_precat.v)
   - [OppositeCategory/Core.v](CategoryTheory/OppositeCategory/Core.v)
   - [Groupoids.v](CategoryTheory/Groupoids.v)
   - [ZigZag.v](CategoryTheory/ZigZag.v)
   - [ProductCategory.v](CategoryTheory/ProductCategory.v)
   - [PrecategoryBinProduct.v](CategoryTheory/PrecategoryBinProduct.v)
   - [Categories/HSET/Core.v](CategoryTheory/Categories/HSET/Core.v)
   - [CategorySum.v](CategoryTheory/CategorySum.v)
   - [Subcategory/Core.v](CategoryTheory/Subcategory/Core.v)
   - [Subcategory/Full.v](CategoryTheory/Subcategory/Full.v)
   - [Retracts.v](CategoryTheory/Retracts.v)
   - [Monics.v](CategoryTheory/Monics.v)
   - [Epis.v](CategoryTheory/Epis.v)
   - [SplitMonicsAndEpis.v](CategoryTheory/SplitMonicsAndEpis.v)
   - [HomotopicalCategory.v](CategoryTheory/HomotopicalCategory.v)
   - [Adjunctions/Core.v](CategoryTheory/Adjunctions/Core.v)
   - [Adjunctions/AdjunctionMonics.v](CategoryTheory/Adjunctions/AdjunctionMonics.v)
   - [Monads/RelativeMonads.v](CategoryTheory/Monads/RelativeMonads.v)
   - [Monads/RelMonads_Coreflection.v](CategoryTheory/Monads/RelMonads_Coreflection.v)
   - [Monads/RelativeModules.v](CategoryTheory/Monads/RelativeModules.v)
   - [Equivalences/Core.v](CategoryTheory/Equivalences/Core.v)
   - [Equivalences/CompositesAndInverses.v](CategoryTheory/Equivalences/CompositesAndInverses.v)
   - [Equivalences/FullyFaithful.v](CategoryTheory/Equivalences/FullyFaithful.v)
   - [Equivalences/EquivalenceFromComp.v](CategoryTheory/Equivalences/EquivalenceFromComp.v)
   - [Subcategory/FullEquivalences.v](CategoryTheory/Subcategory/FullEquivalences.v)
   - [Categories/HSET/MonoEpiIso.v](CategoryTheory/Categories/HSET/MonoEpiIso.v)
   - [Categories/HSET/Univalence.v](CategoryTheory/Categories/HSET/Univalence.v)
   - [CategoriesWithBinOps.v](CategoryTheory/CategoriesWithBinOps.v)
   - [PrecategoriesWithAbgrops.v](CategoryTheory/PrecategoriesWithAbgrops.v)
   - [covyoneda.v](CategoryTheory/covyoneda.v)
   - [Limits/Cones.v](CategoryTheory/Limits/Cones.v)
   - [Limits/Equalizers.v](CategoryTheory/Limits/Equalizers.v)
   - [Limits/Graphs/Colimits.v](CategoryTheory/Limits/Graphs/Colimits.v)
   - [Limits/Graphs/Limits.v](CategoryTheory/Limits/Graphs/Limits.v)
   - [Limits/Graphs/EqDiag.v](CategoryTheory/Limits/Graphs/EqDiag.v)
   - [Limits/Coproducts.v](CategoryTheory/Limits/Coproducts.v)
   - [Limits/Products.v](CategoryTheory/Limits/Products.v)
   - [Limits/Initial.v](CategoryTheory/Limits/Initial.v)
   - [Limits/Terminal.v](CategoryTheory/Limits/Terminal.v)
   - [Limits/Zero.v](CategoryTheory/Limits/Zero.v)
   - [Limits/BinCoproducts.v](CategoryTheory/Limits/BinCoproducts.v)
   - [Limits/BinProducts.v](CategoryTheory/Limits/BinProducts.v)
   - [Limits/Graphs/BinCoproducts.v](CategoryTheory/Limits/Graphs/BinCoproducts.v)
   - [Limits/Graphs/Coproducts.v](CategoryTheory/Limits/Graphs/Coproducts.v)
   - [Limits/Graphs/BinProducts.v](CategoryTheory/Limits/Graphs/BinProducts.v)
   - [Limits/Pullbacks.v](CategoryTheory/Limits/Pullbacks.v)
   - [Limits/Graphs/Initial.v](CategoryTheory/Limits/Graphs/Initial.v)
   - [Limits/Graphs/Terminal.v](CategoryTheory/Limits/Graphs/Terminal.v)
   - [Limits/Graphs/Zero.v](CategoryTheory/Limits/Graphs/Zero.v)
   - [Limits/Graphs/Pullbacks.v](CategoryTheory/Limits/Graphs/Pullbacks.v)
   - [Limits/Coequalizers.v](CategoryTheory/Limits/Coequalizers.v)
   - [Limits/Kernels.v](CategoryTheory/Limits/Kernels.v)
   - [Limits/Cokernels.v](CategoryTheory/Limits/Cokernels.v)
   - [PreAdditive.v](CategoryTheory/PreAdditive.v)
   - [Limits/Pushouts.v](CategoryTheory/Limits/Pushouts.v)
   - [Limits/Graphs/Pushouts.v](CategoryTheory/Limits/Graphs/Pushouts.v)
   - [Limits/Graphs/Equalizers.v](CategoryTheory/Limits/Graphs/Equalizers.v)
   - [Limits/Graphs/Coequalizers.v](CategoryTheory/Limits/Graphs/Coequalizers.v)
   - [Limits/Graphs/Kernels.v](CategoryTheory/Limits/Graphs/Kernels.v)
   - [Limits/Graphs/Cokernels.v](CategoryTheory/Limits/Graphs/Cokernels.v)
   - [Limits/Cats/Limits.v](CategoryTheory/Limits/Cats/Limits.v)
   - [Limits/BinDirectSums.v](CategoryTheory/Limits/BinDirectSums.v)
   - [Limits/FinOrdProducts.v](CategoryTheory/Limits/FinOrdProducts.v)
   - [Limits/FinOrdCoproducts.v](CategoryTheory/Limits/FinOrdCoproducts.v)
   - [Limits/Opp.v](CategoryTheory/Limits/Opp.v)
   - [Limits/LimitIso.v](CategoryTheory/Limits/LimitIso.v)
   - [Limits/Preservation.v](CategoryTheory/Limits/Preservation.v)
   - [Limits/EquivalencePreservation.v](CategoryTheory/Limits/EquivalencePreservation.v)
   - [Limits/PreservationProperties.v](CategoryTheory/Limits/PreservationProperties.v)
   - [Limits/Ends.v](CategoryTheory/Limits/Ends.v)
   - [Limits/Coends.v](CategoryTheory/Limits/Coends.v)
   - [Limits/PullbackConstructions.v](CategoryTheory/Limits/PullbackConstructions.v)
   - [RegularAndExact/RegularEpi.v](CategoryTheory/RegularAndExact/RegularEpi.v)
   - [RegularAndExact/RegularCategory.v](CategoryTheory/RegularAndExact/RegularCategory.v)
   - [RegularAndExact/RegularEpiFacts.v](CategoryTheory/RegularAndExact/RegularEpiFacts.v)
   - [RegularAndExact/ExactCategory.v](CategoryTheory/RegularAndExact/ExactCategory.v)
   - [SubobjectClassifier/PreservesSubobjectClassifier.v](CategoryTheory/SubobjectClassifier/PreservesSubobjectClassifier.v)
   - [DisplayedCats/Binproducts.v](CategoryTheory/DisplayedCats/Binproducts.v)
   - [DisplayedCats/Fiberwise/FiberwiseTerminal.v](CategoryTheory/DisplayedCats/Fiberwise/FiberwiseTerminal.v)
   - [DisplayedCats/Fiberwise/FiberwiseInitial.v](CategoryTheory/DisplayedCats/Fiberwise/FiberwiseInitial.v)
   - [DisplayedCats/Fiberwise/FiberwiseProducts.v](CategoryTheory/DisplayedCats/Fiberwise/FiberwiseProducts.v)
   - [DisplayedCats/Fiberwise/FiberwiseCoproducts.v](CategoryTheory/DisplayedCats/Fiberwise/FiberwiseCoproducts.v)
   - [DisplayedCats/Fiberwise/FiberwiseEqualizers.v](CategoryTheory/DisplayedCats/Fiberwise/FiberwiseEqualizers.v)
   - [DisplayedCats/Fiberwise/FiberwiseCartesianClosed.v](CategoryTheory/DisplayedCats/Fiberwise/FiberwiseCartesianClosed.v)
   - [DisplayedCats/Fiberwise/DependentSums.v](CategoryTheory/DisplayedCats/Fiberwise/DependentSums.v)
   - [DisplayedCats/Fiberwise/DependentProducts.v](CategoryTheory/DisplayedCats/Fiberwise/DependentProducts.v)
   - [DisplayedCats/Fiberwise/FiberwiseSubobjectClassifier.v](CategoryTheory/DisplayedCats/Fiberwise/FiberwiseSubobjectClassifier.v)
   - [DisplayedCats/Codomain/FiberCod.v](CategoryTheory/DisplayedCats/Codomain/FiberCod.v)
   - [DisplayedCats/Codomain/CodDomain.v](CategoryTheory/DisplayedCats/Codomain/CodDomain.v)
   - [DisplayedCats/Codomain/CodMorphisms.v](CategoryTheory/DisplayedCats/Codomain/CodMorphisms.v)
   - [DisplayedCats/Codomain/CodLeftAdjoint.v](CategoryTheory/DisplayedCats/Codomain/CodLeftAdjoint.v)
   - [DisplayedCats/Codomain/CodLimits.v](CategoryTheory/DisplayedCats/Codomain/CodLimits.v)
   - [DisplayedCats/Codomain/CodColimits.v](CategoryTheory/DisplayedCats/Codomain/CodColimits.v)
   - [DisplayedCats/Codomain/IteratedSlice.v](CategoryTheory/DisplayedCats/Codomain/IteratedSlice.v)
   - [DisplayedCats/Codomain/CodFunctor.v](CategoryTheory/DisplayedCats/Codomain/CodFunctor.v)
   - [DisplayedCats/Codomain/CodSubobjectClassifier.v](CategoryTheory/DisplayedCats/Codomain/CodSubobjectClassifier.v)
   - [DisplayedCats/Codomain/CodRegular.v](CategoryTheory/DisplayedCats/Codomain/CodRegular.v)
   - [DisplayedCats/MonoCodomain/FiberMonoCod.v](CategoryTheory/DisplayedCats/MonoCodomain/FiberMonoCod.v)
   - [DisplayedCats/MonoCodomain/MonoCodFunctor.v](CategoryTheory/DisplayedCats/MonoCodomain/MonoCodFunctor.v)
   - [DisplayedCats/MonoCodomain/Inclusion.v](CategoryTheory/DisplayedCats/MonoCodomain/Inclusion.v)
   - [DisplayedCats/MonoCodomain/MonoCodLimits.v](CategoryTheory/DisplayedCats/MonoCodomain/MonoCodLimits.v)
   - [DisplayedCats/MonoCodomain/MonoCodLeftAdjoint.v](CategoryTheory/DisplayedCats/MonoCodomain/MonoCodLeftAdjoint.v)
   - [DisplayedCats/MonoCodomain/MonoCodColimits.v](CategoryTheory/DisplayedCats/MonoCodomain/MonoCodColimits.v)
   - [DisplayedCats/MonoCodomain/MonoCodRightAdjoint.v](CategoryTheory/DisplayedCats/MonoCodomain/MonoCodRightAdjoint.v)
   - [DisplayedCats/MonoCodomain/MonoHyperdoctrine.v](CategoryTheory/DisplayedCats/MonoCodomain/MonoHyperdoctrine.v)
   - [Hyperdoctrines/Hyperdoctrine.v](CategoryTheory/Hyperdoctrines/Hyperdoctrine.v)
   - [Hyperdoctrines/FirstOrderHyperdoctrine.v](CategoryTheory/Hyperdoctrines/FirstOrderHyperdoctrine.v)
   - [Hyperdoctrines/Tripos.v](CategoryTheory/Hyperdoctrines/Tripos.v)
   - [Hyperdoctrines/PartialEqRels/PERs.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PERs.v)
   - [Hyperdoctrines/PartialEqRels/PERMorphisms.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PERMorphisms.v)
   - [Hyperdoctrines/PartialEqRels/PERCategory.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PERCategory.v)
   - [Hyperdoctrines/PartialEqRels/PERConstantObjects.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PERConstantObjects.v)
   - [Hyperdoctrines/PartialEqRels/PERTerminal.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PERTerminal.v)
   - [Hyperdoctrines/PartialEqRels/PERInitial.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PERInitial.v)
   - [Hyperdoctrines/PartialEqRels/PERBinProducts.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PERBinProducts.v)
   - [Hyperdoctrines/PartialEqRels/PEREqualizers.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PEREqualizers.v)
   - [Hyperdoctrines/PartialEqRels/PERMonomorphisms.v](CategoryTheory/Hyperdoctrines/PartialEqRels/PERMonomorphisms.v)
   - [DisplayedCats/Examples/HValuedPredicates.v](CategoryTheory/DisplayedCats/Examples/HValuedPredicates.v)
   - [LocallyCartesianClosed/LocallyCartesianClosed.v](CategoryTheory/LocallyCartesianClosed/LocallyCartesianClosed.v)
   - [DisplayedCats/Fiberwise/DualBeckChevalley.v](CategoryTheory/DisplayedCats/Fiberwise/DualBeckChevalley.v)
   - [DisplayedCats/Codomain/CodRightAdjoint.v](CategoryTheory/DisplayedCats/Codomain/CodRightAdjoint.v)
   - [LocallyCartesianClosed/Preservation.v](CategoryTheory/LocallyCartesianClosed/Preservation.v)
   - [Limits/StrictInitial.v](CategoryTheory/Limits/StrictInitial.v)
   - [Limits/DisjointBinCoproducts.v](CategoryTheory/Limits/DisjointBinCoproducts.v)
   - [DisplayedCats/Codomain/ColimitProperties.v](CategoryTheory/DisplayedCats/Codomain/ColimitProperties.v)
   - [Limits/Examples/CategoryProductLimits.v](CategoryTheory/Limits/Examples/CategoryProductLimits.v)
   - [Limits/StandardDiagrams.v](CategoryTheory/Limits/StandardDiagrams.v)
   - [Limits/Filtered.v](CategoryTheory/Limits/Filtered.v)
   - [IsoCommaCategory.v](CategoryTheory/IsoCommaCategory.v)
   - [Limits/Examples/IsoCommaLimits.v](CategoryTheory/Limits/Examples/IsoCommaLimits.v)
   - [CommaCategories.v](CategoryTheory/CommaCategories.v)
   - [NNO.v](CategoryTheory/NNO.v)
   - [Subcategory/Limits.v](CategoryTheory/Subcategory/Limits.v)
   - [EpiFacts.v](CategoryTheory/EpiFacts.v)
   - [Categories/Type/Core.v](CategoryTheory/Categories/Type/Core.v)
   - [Categories/Type/MonoEpiIso.v](CategoryTheory/Categories/Type/MonoEpiIso.v)
   - [SimplicialSets.v](CategoryTheory/SimplicialSets.v)
   - [yoneda.v](CategoryTheory/yoneda.v)
   - [FunctorCoalgebras.v](CategoryTheory/FunctorCoalgebras.v)
   - [precomp_fully_faithful.v](CategoryTheory/precomp_fully_faithful.v)
   - [precomp_ess_surj.v](CategoryTheory/precomp_ess_surj.v)
   - [PrecompEquivalence.v](CategoryTheory/PrecompEquivalence.v)
   - [UnitorsAndAssociatorsForEndofunctors.v](CategoryTheory/UnitorsAndAssociatorsForEndofunctors.v)
   - [PointedFunctors.v](CategoryTheory/PointedFunctors.v)
   - [HorizontalComposition.v](CategoryTheory/HorizontalComposition.v)
   - [PointedFunctorsComposition.v](CategoryTheory/PointedFunctorsComposition.v)
   - [ArrowCategory.v](CategoryTheory/ArrowCategory.v)
   - [RightKanExtension.v](CategoryTheory/RightKanExtension.v)
   - [coslicecat.v](CategoryTheory/coslicecat.v)
   - [catiso.v](CategoryTheory/catiso.v)
   - [DisplayedCats/CatIsoDisplayed.v](CategoryTheory/DisplayedCats/CatIsoDisplayed.v)
   - [CategoryEquality.v](CategoryTheory/CategoryEquality.v)
   - [Core/PosetCat.v](CategoryTheory/Core/PosetCat.v)
   - [WeakEquivalences.v](CategoryTheory/WeakEquivalences.v)
   - [RezkCompletions/RezkCompletions.v](CategoryTheory/RezkCompletions/RezkCompletions.v)
   - [RezkCompletions/Construction.v](CategoryTheory/RezkCompletions/Construction.v)
   - [exponentials.v](CategoryTheory/exponentials.v)
   - [slicecat.v](CategoryTheory/slicecat.v)
   - [Limits/PullbacksSliceProductsEquiv.v](CategoryTheory/Limits/PullbacksSliceProductsEquiv.v)
   - [Additive.v](CategoryTheory/Additive.v)
   - [Abelian.v](CategoryTheory/Abelian.v)
   - [category_binops.v](CategoryTheory/category_binops.v)
   - [AbelianToAdditive.v](CategoryTheory/AbelianToAdditive.v)
   - [Morphisms.v](CategoryTheory/Morphisms.v)
   - [ExactCategories/ExactCategories.v](CategoryTheory/ExactCategories/ExactCategories.v)
   - [ExactCategories/Tests.v](CategoryTheory/ExactCategories/Tests.v)
   - [ShortExactSequences.v](CategoryTheory/ShortExactSequences.v)
   - [AdditiveFunctors.v](CategoryTheory/AdditiveFunctors.v)
   - [LocalizingClass.v](CategoryTheory/LocalizingClass.v)
   - [UnderCategories.v](CategoryTheory/UnderCategories.v)
   - [Subobjects.v](CategoryTheory/Subobjects.v)
   - [SubobjectClassifier/SubobjectClassifier.v](CategoryTheory/SubobjectClassifier/SubobjectClassifier.v)
   - [SubobjectClassifier/SubobjectClassifierIso.v](CategoryTheory/SubobjectClassifier/SubobjectClassifierIso.v)
   - [Quotobjects.v](CategoryTheory/Quotobjects.v)
   - [AbelianPushoutPullback.v](CategoryTheory/AbelianPushoutPullback.v)
   - [PseudoElements.v](CategoryTheory/PseudoElements.v)
   - [FiveLemma.v](CategoryTheory/FiveLemma.v)
   - [LatticeObject.v](CategoryTheory/LatticeObject.v)
   - [Actions.v](CategoryTheory/Actions.v)
   - [PowerObject.v](CategoryTheory/PowerObject.v)
   - [ElementaryTopos.v](CategoryTheory/ElementaryTopos.v)
   - [Adjunctions/Restriction.v](CategoryTheory/Adjunctions/Restriction.v)
   - [Adjunctions/Examples.v](CategoryTheory/Adjunctions/Examples.v)
   - [Subcategory/Reflective.v](CategoryTheory/Subcategory/Reflective.v)
   - [Categories/PrecategoryOfCategories.v](CategoryTheory/Categories/PrecategoryOfCategories.v)
   - [Categories/CategoryOfSetCategories.v](CategoryTheory/Categories/CategoryOfSetCategories.v)
   - [Limits/Examples/CategoryOfSetcategoriesLimits.v](CategoryTheory/Limits/Examples/CategoryOfSetcategoriesLimits.v)
   - [Categories/SetWith2BinOp.v](CategoryTheory/Categories/SetWith2BinOp.v)
   - [Categories/Monoid.v](CategoryTheory/Categories/Monoid.v)
   - [Categories/Abmonoid.v](CategoryTheory/Categories/Abmonoid.v)
   - [Categories/Gr.v](CategoryTheory/Categories/Gr.v)
   - [Categories/Abgr.v](CategoryTheory/Categories/Abgr.v)
   - [Categories/Rig.v](CategoryTheory/Categories/Rig.v)
   - [Categories/Commrig.v](CategoryTheory/Categories/Commrig.v)
   - [Categories/Ring.v](CategoryTheory/Categories/Ring.v)
   - [Categories/Commring.v](CategoryTheory/Categories/Commring.v)
   - [Categories/Intdom.v](CategoryTheory/Categories/Intdom.v)
   - [Categories/Fld.v](CategoryTheory/Categories/Fld.v)
   - [Categories/Module.v](CategoryTheory/Categories/Module.v)
   - [Categories/StandardCategories.v](CategoryTheory/Categories/StandardCategories.v)
   - [Categories/PreorderCategories.v](CategoryTheory/Categories/PreorderCategories.v)
   - [Categories/MonoidToCategory.v](CategoryTheory/Categories/MonoidToCategory.v)
   - [Limits/Examples/UnitCategoryLimits.v](CategoryTheory/Limits/Examples/UnitCategoryLimits.v)
   - [Categories/Type/Colimits.v](CategoryTheory/Categories/Type/Colimits.v)
   - [Categories/Type/Limits.v](CategoryTheory/Categories/Type/Limits.v)
   - [Categories/Type/Structures.v](CategoryTheory/Categories/Type/Structures.v)
   - [Categories/Type/Univalence.v](CategoryTheory/Categories/Type/Univalence.v)
   - [Categories/Type/NoHomsets.v](CategoryTheory/Categories/Type/NoHomsets.v)
   - [Categories/HSET/Limits.v](CategoryTheory/Categories/HSET/Limits.v)
   - [Categories/HSET/Colimits.v](CategoryTheory/Categories/HSET/Colimits.v)
   - [Categories/HSET/FilteredColimits.v](CategoryTheory/Categories/HSET/FilteredColimits.v)
   - [Categories/HSET/Slice.v](CategoryTheory/Categories/HSET/Slice.v)
   - [Categories/HSET/Structures.v](CategoryTheory/Categories/HSET/Structures.v)
   - [Categories/HSET/SliceFamEquiv.v](CategoryTheory/Categories/HSET/SliceFamEquiv.v)
   - [Categories/HSET/All.v](CategoryTheory/Categories/HSET/All.v)
   - [Profunctors/Core.v](CategoryTheory/Profunctors/Core.v)
   - [Categories/HSET/SetCoends.v](CategoryTheory/Categories/HSET/SetCoends.v)
   - [Profunctors/Examples.v](CategoryTheory/Profunctors/Examples.v)
   - [Profunctors/Transformation.v](CategoryTheory/Profunctors/Transformation.v)
   - [Profunctors/Squares.v](CategoryTheory/Profunctors/Squares.v)
   - [Profunctors/Collage.v](CategoryTheory/Profunctors/Collage.v)
   - [SetValuedFunctors.v](CategoryTheory/SetValuedFunctors.v)
   - [Categories/FinSet.v](CategoryTheory/Categories/FinSet.v)
   - [Categories/Woset.v](CategoryTheory/Categories/Woset.v)
   - [Categories/Graph.v](CategoryTheory/Categories/Graph.v)
   - [Categories/CGraph.v](CategoryTheory/Categories/CGraph.v)
   - [GrothendieckTopos.v](CategoryTheory/GrothendieckTopos.v)
   - [Presheaf.v](CategoryTheory/Presheaf.v)
   - [ElementsOp.v](CategoryTheory/ElementsOp.v)
   - [elems_slice_equiv.v](CategoryTheory/elems_slice_equiv.v)
   - [YonedaBinproducts.v](CategoryTheory/YonedaBinproducts.v)
   - [YonedaExponentials.v](CategoryTheory/YonedaExponentials.v)
   - [ExponentiationLeftAdjoint.v](CategoryTheory/ExponentiationLeftAdjoint.v)
   - [Connected.v](CategoryTheory/Connected.v)
   - [LeftKanExtension.v](CategoryTheory/LeftKanExtension.v)
   - [Categories/CartesianCubicalSets.v](CategoryTheory/Categories/CartesianCubicalSets.v)
   - [OppositeCategory/OppositeAdjunction.v](CategoryTheory/OppositeCategory/OppositeAdjunction.v)
   - [OppositeCategory/OppositeOfFunctorCategory.v](CategoryTheory/OppositeCategory/OppositeOfFunctorCategory.v)
   - [Chains/Chains.v](CategoryTheory/Chains/Chains.v)
   - [Chains/Cochains.v](CategoryTheory/Chains/Cochains.v)
   - [DisplayedCats/Examples/DispFunctorPair.v](CategoryTheory/DisplayedCats/Examples/DispFunctorPair.v)
   - [DisplayedCats/Examples/Opposite.v](CategoryTheory/DisplayedCats/Examples/Opposite.v)
   - [DisplayedCats/Fibrations.v](CategoryTheory/DisplayedCats/Fibrations.v)
   - [DisplayedCats/Examples/Reindexing.v](CategoryTheory/DisplayedCats/Examples/Reindexing.v)
   - [DisplayedCats/Constructions/CategoryWithStructure.v](CategoryTheory/DisplayedCats/Constructions/CategoryWithStructure.v)
   - [DisplayedCats/Constructions/DisplayedFunctorCat.v](CategoryTheory/DisplayedCats/Constructions/DisplayedFunctorCat.v)
   - [DisplayedCats/Constructions/FullSubcategory.v](CategoryTheory/DisplayedCats/Constructions/FullSubcategory.v)
   - [DisplayedCats/Constructions/Product.v](CategoryTheory/DisplayedCats/Constructions/Product.v)
   - [DisplayedCats/Constructions/DisplayedSections.v](CategoryTheory/DisplayedCats/Constructions/DisplayedSections.v)
   - [DisplayedCats/Constructions/FunctorLift.v](CategoryTheory/DisplayedCats/Constructions/FunctorLift.v)
   - [DisplayedCats/Constructions.v](CategoryTheory/DisplayedCats/Constructions.v)
   - [FunctorAlgebras.v](CategoryTheory/FunctorAlgebras.v)
   - [CompletelyIterativeAlgebras.v](CategoryTheory/CompletelyIterativeAlgebras.v)
   - [Chains/Adamek.v](CategoryTheory/Chains/Adamek.v)
   - [Chains/CoAdamek.v](CategoryTheory/Chains/CoAdamek.v)
   - [Chains/OmegaCocontFunctors.v](CategoryTheory/Chains/OmegaCocontFunctors.v)
   - [OppositeCategory/LimitsAsColimits.v](CategoryTheory/OppositeCategory/LimitsAsColimits.v)
   - [Chains/OmegaContFunctors.v](CategoryTheory/Chains/OmegaContFunctors.v)
   - [Chains/All.v](CategoryTheory/Chains/All.v)
   - [Inductives/Lists.v](CategoryTheory/Inductives/Lists.v)
   - [Inductives/Trees.v](CategoryTheory/Inductives/Trees.v)
   - [Inductives/LambdaCalculus.v](CategoryTheory/Inductives/LambdaCalculus.v)
   - [Inductives/PropositionalLogic.v](CategoryTheory/Inductives/PropositionalLogic.v)
   - [CategoricalRecursionSchemes.v](CategoryTheory/CategoricalRecursionSchemes.v)
   - [PointedFunctorAlgebras.v](CategoryTheory/PointedFunctorAlgebras.v)
   - [DisplayedCats/Equivalences.v](CategoryTheory/DisplayedCats/Equivalences.v)
   - [DisplayedCats/EquivalenceOverId.v](CategoryTheory/DisplayedCats/EquivalenceOverId.v)
   - [DisplayedCats/DisplayedCatEq.v](CategoryTheory/DisplayedCats/DisplayedCatEq.v)
   - [DisplayedCats/Codomain.v](CategoryTheory/DisplayedCats/Codomain.v)
   - [DisplayedCats/Examples/MonoCodomain.v](CategoryTheory/DisplayedCats/Examples/MonoCodomain.v)
   - [DisplayedCats/Projection.v](CategoryTheory/DisplayedCats/Projection.v)
   - [DisplayedCats/SIP.v](CategoryTheory/DisplayedCats/SIP.v)
   - [Monads/Monads.v](CategoryTheory/Monads/Monads.v)
   - [Monads/LModules.v](CategoryTheory/Monads/LModules.v)
   - [Monads/Derivative.v](CategoryTheory/Monads/Derivative.v)
   - [Monads/MonadAlgebras.v](CategoryTheory/Monads/MonadAlgebras.v)
   - [Monads/Comonads.v](CategoryTheory/Monads/Comonads.v)
   - [Monads/ComonadCoalgebras.v](CategoryTheory/Monads/ComonadCoalgebras.v)
   - [DisplayedCats/Limits.v](CategoryTheory/DisplayedCats/Limits.v)
   - [DisplayedCats/Examples/Sigma.v](CategoryTheory/DisplayedCats/Examples/Sigma.v)
   - [DisplayedCats/Examples.v](CategoryTheory/DisplayedCats/Examples.v)
   - [DisplayedCats/Examples/UnitalBinop.v](CategoryTheory/DisplayedCats/Examples/UnitalBinop.v)
   - [DisplayedCats/Examples/CategoryOfPosets.v](CategoryTheory/DisplayedCats/Examples/CategoryOfPosets.v)
   - [DisplayedCats/Structures/CartesianStructure.v](CategoryTheory/DisplayedCats/Structures/CartesianStructure.v)
   - [DisplayedCats/Structures/StructureLimitsAndColimits.v](CategoryTheory/DisplayedCats/Structures/StructureLimitsAndColimits.v)
   - [DisplayedCats/Structures/StructuresSmashProduct.v](CategoryTheory/DisplayedCats/Structures/StructuresSmashProduct.v)
   - [DisplayedCats/Examples/AlgebraStructures.v](CategoryTheory/DisplayedCats/Examples/AlgebraStructures.v)
   - [DisplayedCats/Examples/Cartesian.v](CategoryTheory/DisplayedCats/Examples/Cartesian.v)
   - [DisplayedCats/Examples/DCPOStructures.v](CategoryTheory/DisplayedCats/Examples/DCPOStructures.v)
   - [DisplayedCats/Examples/PointedDCPOStructures.v](CategoryTheory/DisplayedCats/Examples/PointedDCPOStructures.v)
   - [DisplayedCats/Examples/PointedDCPOStrict.v](CategoryTheory/DisplayedCats/Examples/PointedDCPOStrict.v)
   - [DisplayedCats/Examples/PointedPosetStrict.v](CategoryTheory/DisplayedCats/Examples/PointedPosetStrict.v)
   - [DisplayedCats/Examples/PointedPosetStructures.v](CategoryTheory/DisplayedCats/Examples/PointedPosetStructures.v)
   - [DisplayedCats/Examples/PointedSetStructures.v](CategoryTheory/DisplayedCats/Examples/PointedSetStructures.v)
   - [DisplayedCats/Examples/PosetStructures.v](CategoryTheory/DisplayedCats/Examples/PosetStructures.v)
   - [DisplayedCats/Examples/SetStructures.v](CategoryTheory/DisplayedCats/Examples/SetStructures.v)
   - [DisplayedCats/Examples/Arrow.v](CategoryTheory/DisplayedCats/Examples/Arrow.v)
   - [DisplayedCats/Examples/MonadAlgebras.v](CategoryTheory/DisplayedCats/Examples/MonadAlgebras.v)
   - [DisplayedCats/Examples/Three.v](CategoryTheory/DisplayedCats/Examples/Three.v)
   - [DisplayedCats/FunctorCategory.v](CategoryTheory/DisplayedCats/FunctorCategory.v)
   - [DisplayedCats/Adjunctions.v](CategoryTheory/DisplayedCats/Adjunctions.v)
   - [DisplayedCats/ComprehensionC.v](CategoryTheory/DisplayedCats/ComprehensionC.v)
   - [DisplayedCats/StreetFibration.v](CategoryTheory/DisplayedCats/StreetFibration.v)
   - [DisplayedCats/StreetOpFibration.v](CategoryTheory/DisplayedCats/StreetOpFibration.v)
   - [DisplayedCats/ReindexingForward.v](CategoryTheory/DisplayedCats/ReindexingForward.v)
   - [DisplayedCats/TotalCategoryFacts.v](CategoryTheory/DisplayedCats/TotalCategoryFacts.v)
   - [DisplayedCats/TotalAdjunction.v](CategoryTheory/DisplayedCats/TotalAdjunction.v)
   - [Monads/KleisliCategory.v](CategoryTheory/Monads/KleisliCategory.v)
   - [Monads/KTriples.v](CategoryTheory/Monads/KTriples.v)
   - [Monads/Kleisli.v](CategoryTheory/Monads/Kleisli.v)
   - [Monads/KTriplesEquiv.v](CategoryTheory/Monads/KTriplesEquiv.v)
   - [Limits/Examples/AlgebraStructuresColimits.v](CategoryTheory/Limits/Examples/AlgebraStructuresColimits.v)
   - [Categories/Dialgebras.v](CategoryTheory/Categories/Dialgebras.v)
   - [Categories/CatIsoInserter.v](CategoryTheory/Categories/CatIsoInserter.v)
   - [Categories/EilenbergMoore.v](CategoryTheory/Categories/EilenbergMoore.v)
   - [Categories/CoEilenbergMoore.v](CategoryTheory/Categories/CoEilenbergMoore.v)
   - [Categories/KleisliCategory.v](CategoryTheory/Categories/KleisliCategory.v)
   - [Limits/Examples/EilenbergMooreLimits.v](CategoryTheory/Limits/Examples/EilenbergMooreLimits.v)
   - [Elements.v](CategoryTheory/Elements.v)
   - [Core.v](CategoryTheory/Core.v)
   - [Categories/Universal_Algebra/Algebras.v](CategoryTheory/Categories/Universal_Algebra/Algebras.v)
   - [Categories/Universal_Algebra/EqAlgebras.v](CategoryTheory/Categories/Universal_Algebra/EqAlgebras.v)
   - [Categories/Rel.v](CategoryTheory/Categories/Rel.v)
   - [Monoidal/WhiskeredBifunctors.v](CategoryTheory/Monoidal/WhiskeredBifunctors.v)
   - [Monoidal/Categories.v](CategoryTheory/Monoidal/Categories.v)
   - [Monoidal/StrongMonad.v](CategoryTheory/Monoidal/StrongMonad.v)
   - [Monoidal/Structure/Symmetric.v](CategoryTheory/Monoidal/Structure/Symmetric.v)
   - [Monoidal/Structure/SymmetricDiagonal.v](CategoryTheory/Monoidal/Structure/SymmetricDiagonal.v)
   - [Monoidal/Structure/Closed.v](CategoryTheory/Monoidal/Structure/Closed.v)
   - [Monoidal/Structure/Cartesian.v](CategoryTheory/Monoidal/Structure/Cartesian.v)
   - [Monoidal/Functors.v](CategoryTheory/Monoidal/Functors.v)
   - [Monoidal/FunctorCategories.v](CategoryTheory/Monoidal/FunctorCategories.v)
   - [Monoidal/Adjunctions.v](CategoryTheory/Monoidal/Adjunctions.v)
   - [Monoidal/CategoriesOfMonoids.v](CategoryTheory/Monoidal/CategoriesOfMonoids.v)
   - [Monoidal/Displayed/WhiskeredDisplayedBifunctors.v](CategoryTheory/Monoidal/Displayed/WhiskeredDisplayedBifunctors.v)
   - [Monoidal/Displayed/Monoidal.v](CategoryTheory/Monoidal/Displayed/Monoidal.v)
   - [Monoidal/Displayed/TotalMonoidal.v](CategoryTheory/Monoidal/Displayed/TotalMonoidal.v)
   - [Monoidal/Displayed/MonoidalSections.v](CategoryTheory/Monoidal/Displayed/MonoidalSections.v)
   - [Monoidal/Displayed/TransportLemmas.v](CategoryTheory/Monoidal/Displayed/TransportLemmas.v)
   - [Monoidal/Displayed/Symmetric.v](CategoryTheory/Monoidal/Displayed/Symmetric.v)
   - [Monoidal/Displayed/SymmetricMonoidalBuilder.v](CategoryTheory/Monoidal/Displayed/SymmetricMonoidalBuilder.v)
   - [Monoidal/Examples/SetCartesianMonoidal.v](CategoryTheory/Monoidal/Examples/SetCartesianMonoidal.v)
   - [Monoidal/Examples/CartesianMonoidal.v](CategoryTheory/Monoidal/Examples/CartesianMonoidal.v)
   - [Monoidal/Examples/DisplayedCartesianMonoidal.v](CategoryTheory/Monoidal/Examples/DisplayedCartesianMonoidal.v)
   - [Monoidal/Examples/StructuresMonoidal.v](CategoryTheory/Monoidal/Examples/StructuresMonoidal.v)
   - [Monoidal/Examples/EndofunctorsMonoidalElementary.v](CategoryTheory/Monoidal/Examples/EndofunctorsMonoidalElementary.v)
   - [Monoidal/Examples/MonadsAsMonoidsElementary.v](CategoryTheory/Monoidal/Examples/MonadsAsMonoidsElementary.v)
   - [Monoidal/Examples/MonoidalPointedObjects.v](CategoryTheory/Monoidal/Examples/MonoidalPointedObjects.v)
   - [Monoidal/Displayed/MonoidalFunctorLifting.v](CategoryTheory/Monoidal/Displayed/MonoidalFunctorLifting.v)
   - [Monoidal/Examples/MonoidalDialgebras.v](CategoryTheory/Monoidal/Examples/MonoidalDialgebras.v)
   - [Monoidal/Examples/SymmetricMonoidalDialgebras.v](CategoryTheory/Monoidal/Examples/SymmetricMonoidalDialgebras.v)
   - [Monoidal/Examples/PointedSetCartesianMonoidal.v](CategoryTheory/Monoidal/Examples/PointedSetCartesianMonoidal.v)
   - [Monoidal/Examples/BinopCartesianMonoidal.v](CategoryTheory/Monoidal/Examples/BinopCartesianMonoidal.v)
   - [Monoidal/Examples/SetWithSubset.v](CategoryTheory/Monoidal/Examples/SetWithSubset.v)
   - [Monoidal/Examples/SmashProductMonoidal.v](CategoryTheory/Monoidal/Examples/SmashProductMonoidal.v)
   - [Monoidal/Examples/PosetsMonoidal.v](CategoryTheory/Monoidal/Examples/PosetsMonoidal.v)
   - [Monoidal/Examples/Fullsub.v](CategoryTheory/Monoidal/Examples/Fullsub.v)
   - [Monoidal/Examples/Relations.v](CategoryTheory/Monoidal/Examples/Relations.v)
   - [Monoidal/Examples/Sigma.v](CategoryTheory/Monoidal/Examples/Sigma.v)
   - [Monoidal/Examples/DiagonalFunctor.v](CategoryTheory/Monoidal/Examples/DiagonalFunctor.v)
   - [Monoidal/Examples/ConstantFunctor.v](CategoryTheory/Monoidal/Examples/ConstantFunctor.v)
   - [Monoidal/Comonoids/Category.v](CategoryTheory/Monoidal/Comonoids/Category.v)
   - [Monoidal/Comonoids/Tensor.v](CategoryTheory/Monoidal/Comonoids/Tensor.v)
   - [Monoidal/Comonoids/Monoidal.v](CategoryTheory/Monoidal/Comonoids/Monoidal.v)
   - [Monoidal/Comonoids/Symmetric.v](CategoryTheory/Monoidal/Comonoids/Symmetric.v)
   - [Monoidal/Comonoids/MonoidalCartesianBuilder.v](CategoryTheory/Monoidal/Comonoids/MonoidalCartesianBuilder.v)
   - [Monoidal/Comonoids/CommComonoidsCartesian.v](CategoryTheory/Monoidal/Comonoids/CommComonoidsCartesian.v)
   - [Monoidal/Comonoids/CartesianAsComonoids.v](CategoryTheory/Monoidal/Comonoids/CartesianAsComonoids.v)
   - [Monoidal/Comonoids/TransportComonoidAlongRetraction.v](CategoryTheory/Monoidal/Comonoids/TransportComonoidAlongRetraction.v)
   - [Monoidal/Examples/LiftPoset.v](CategoryTheory/Monoidal/Examples/LiftPoset.v)
   - [Monoidal/Examples/SymmetricMonoidalCoEilenbergMoore.v](CategoryTheory/Monoidal/Examples/SymmetricMonoidalCoEilenbergMoore.v)
   - [Monoidal/AlternativeDefinitions/MonoidalCategoriesReordered.v](CategoryTheory/Monoidal/AlternativeDefinitions/MonoidalCategoriesReordered.v)
   - [Monoidal/AlternativeDefinitions/MonoidalCategoriesTensored.v](CategoryTheory/Monoidal/AlternativeDefinitions/MonoidalCategoriesTensored.v)
   - [Monoidal/AlternativeDefinitions/EquivalenceWhiskeredNonCurriedMonoidalCategories.v](CategoryTheory/Monoidal/AlternativeDefinitions/EquivalenceWhiskeredNonCurriedMonoidalCategories.v)
   - [Monoidal/AlternativeDefinitions/MonoidalCategoriesCurried.v](CategoryTheory/Monoidal/AlternativeDefinitions/MonoidalCategoriesCurried.v)
   - [Monoidal/AlternativeDefinitions/MonoidalFunctorsTensored.v](CategoryTheory/Monoidal/AlternativeDefinitions/MonoidalFunctorsTensored.v)
   - [Monoidal/AlternativeDefinitions/MonoidalFunctorsCurried.v](CategoryTheory/Monoidal/AlternativeDefinitions/MonoidalFunctorsCurried.v)
   - [Monoidal/AlternativeDefinitions/AugmentedSimplexCategory.v](CategoryTheory/Monoidal/AlternativeDefinitions/AugmentedSimplexCategory.v)
   - [Monoidal/AlternativeDefinitions/DisplayedMonoidalTensored.v](CategoryTheory/Monoidal/AlternativeDefinitions/DisplayedMonoidalTensored.v)
   - [Monoidal/AlternativeDefinitions/DisplayedMonoidalCurried.v](CategoryTheory/Monoidal/AlternativeDefinitions/DisplayedMonoidalCurried.v)
   - [Monoidal/AlternativeDefinitions/CategoriesOfMonoids.v](CategoryTheory/Monoidal/AlternativeDefinitions/CategoriesOfMonoids.v)
   - [Monoidal/AlternativeDefinitions/BraidedMonoidalCategories.v](CategoryTheory/Monoidal/AlternativeDefinitions/BraidedMonoidalCategories.v)
   - [Monoidal/AlternativeDefinitions/TotalDisplayedMonoidalCurried.v](CategoryTheory/Monoidal/AlternativeDefinitions/TotalDisplayedMonoidalCurried.v)
   - [Monoidal/AlternativeDefinitions/MonoidalFunctorCategory.v](CategoryTheory/Monoidal/AlternativeDefinitions/MonoidalFunctorCategory.v)
   - [Actegories/Actegories.v](CategoryTheory/Actegories/Actegories.v)
   - [Actegories/ConstructionOfActegories.v](CategoryTheory/Actegories/ConstructionOfActegories.v)
   - [Actegories/MorphismsOfActegories.v](CategoryTheory/Actegories/MorphismsOfActegories.v)
   - [Actegories/ProductActegory.v](CategoryTheory/Actegories/ProductActegory.v)
   - [Actegories/ProductsInActegories.v](CategoryTheory/Actegories/ProductsInActegories.v)
   - [Actegories/CoproductsInActegories.v](CategoryTheory/Actegories/CoproductsInActegories.v)
   - [Actegories/Examples/ActionOfEndomorphismsInCATElementary.v](CategoryTheory/Actegories/Examples/ActionOfEndomorphismsInCATElementary.v)
   - [Actegories/Examples/SelfActionInCATElementary.v](CategoryTheory/Actegories/Examples/SelfActionInCATElementary.v)
   - [Actegories/ConstructionOfActegoryMorphisms.v](CategoryTheory/Actegories/ConstructionOfActegoryMorphisms.v)
   - [Actegories/ActionBasedStrongMonads.v](CategoryTheory/Actegories/ActionBasedStrongMonads.v)
   - [DisplayedCats/MoreFibrations/Prefibrations.v](CategoryTheory/DisplayedCats/MoreFibrations/Prefibrations.v)
   - [DisplayedCats/MoreFibrations/CartesiannessOfComposites.v](CategoryTheory/DisplayedCats/MoreFibrations/CartesiannessOfComposites.v)
   - [DisplayedCats/MoreFibrations/FibrationsCharacterisation.v](CategoryTheory/DisplayedCats/MoreFibrations/FibrationsCharacterisation.v)
   - [DisplayedCats/MoreFibrations/DispCatsEquivFunctors.v](CategoryTheory/DisplayedCats/MoreFibrations/DispCatsEquivFunctors.v)
   - [DisplayedCats/MoreFibrations/DisplayedDisplayedCats.v](CategoryTheory/DisplayedCats/MoreFibrations/DisplayedDisplayedCats.v)
   - [SkewMonoidal/SkewMonoidalCategories.v](CategoryTheory/SkewMonoidal/SkewMonoidalCategories.v)
   - [SkewMonoidal/CategoriesOfMonoids.v](CategoryTheory/SkewMonoidal/CategoriesOfMonoids.v)
   - [EnrichedCats/BenabouCosmos.v](CategoryTheory/EnrichedCats/BenabouCosmos.v)
   - [EnrichedCats/EnrichedRelation.v](CategoryTheory/EnrichedCats/EnrichedRelation.v)
   - [EnrichedCats/LaxExtension.v](CategoryTheory/EnrichedCats/LaxExtension.v)
   - [EnrichedCats/Enrichment.v](CategoryTheory/EnrichedCats/Enrichment.v)
   - [EnrichedCats/EnrichmentFunctor.v](CategoryTheory/EnrichedCats/EnrichmentFunctor.v)
   - [EnrichedCats/EnrichmentTransformation.v](CategoryTheory/EnrichedCats/EnrichmentTransformation.v)
   - [EnrichedCats/FullyFaithful.v](CategoryTheory/EnrichedCats/FullyFaithful.v)
   - [EnrichedCats/EnrichmentAdjunction.v](CategoryTheory/EnrichedCats/EnrichmentAdjunction.v)
   - [EnrichedCats/EnrichmentMonad.v](CategoryTheory/EnrichedCats/EnrichmentMonad.v)
   - [EnrichedCats/Enriched/Enriched.v](CategoryTheory/EnrichedCats/Enriched/Enriched.v)
   - [EnrichedCats/Enriched/ChangeOfBase.v](CategoryTheory/EnrichedCats/Enriched/ChangeOfBase.v)
   - [EnrichedCats/Enriched/Opposite.v](CategoryTheory/EnrichedCats/Enriched/Opposite.v)
   - [EnrichedCats/Enriched/UnderlyingCategory.v](CategoryTheory/EnrichedCats/Enriched/UnderlyingCategory.v)
   - [EnrichedCats/Enriched/EnrichmentEquiv.v](CategoryTheory/EnrichedCats/Enriched/EnrichmentEquiv.v)
   - [EnrichedCats/Examples/SelfEnriched.v](CategoryTheory/EnrichedCats/Examples/SelfEnriched.v)
   - [EnrichedCats/Limits/EnrichedTerminal.v](CategoryTheory/EnrichedCats/Limits/EnrichedTerminal.v)
   - [EnrichedCats/Limits/EnrichedBinaryProducts.v](CategoryTheory/EnrichedCats/Limits/EnrichedBinaryProducts.v)
   - [EnrichedCats/Limits/EnrichedProducts.v](CategoryTheory/EnrichedCats/Limits/EnrichedProducts.v)
   - [EnrichedCats/Limits/EnrichedEqualizers.v](CategoryTheory/EnrichedCats/Limits/EnrichedEqualizers.v)
   - [EnrichedCats/Limits/EnrichedConicalLimits.v](CategoryTheory/EnrichedCats/Limits/EnrichedConicalLimits.v)
   - [EnrichedCats/Limits/EnrichedPowers.v](CategoryTheory/EnrichedCats/Limits/EnrichedPowers.v)
   - [EnrichedCats/Limits/EnrichedLimits.v](CategoryTheory/EnrichedCats/Limits/EnrichedLimits.v)
   - [EnrichedCats/Colimits/EnrichedInitial.v](CategoryTheory/EnrichedCats/Colimits/EnrichedInitial.v)
   - [EnrichedCats/Colimits/EnrichedBinaryCoproducts.v](CategoryTheory/EnrichedCats/Colimits/EnrichedBinaryCoproducts.v)
   - [EnrichedCats/Colimits/EnrichedCoproducts.v](CategoryTheory/EnrichedCats/Colimits/EnrichedCoproducts.v)
   - [EnrichedCats/Colimits/EnrichedCoequalizers.v](CategoryTheory/EnrichedCats/Colimits/EnrichedCoequalizers.v)
   - [EnrichedCats/Colimits/EnrichedConicalColimits.v](CategoryTheory/EnrichedCats/Colimits/EnrichedConicalColimits.v)
   - [EnrichedCats/Colimits/EnrichedCopowers.v](CategoryTheory/EnrichedCats/Colimits/EnrichedCopowers.v)
   - [EnrichedCats/Colimits/EnrichedColimits.v](CategoryTheory/EnrichedCats/Colimits/EnrichedColimits.v)
   - [EnrichedCats/Colimits/CopowerFunctor.v](CategoryTheory/EnrichedCats/Colimits/CopowerFunctor.v)
   - [EnrichedCats/Examples/SetEnriched.v](CategoryTheory/EnrichedCats/Examples/SetEnriched.v)
   - [EnrichedCats/Examples/QuantaleEnriched.v](CategoryTheory/EnrichedCats/Examples/QuantaleEnriched.v)
   - [EnrichedCats/Examples/PosetEnriched.v](CategoryTheory/EnrichedCats/Examples/PosetEnriched.v)
   - [EnrichedCats/Examples/StructureEnriched.v](CategoryTheory/EnrichedCats/Examples/StructureEnriched.v)
   - [EnrichedCats/Examples/SmashStructureEnriched.v](CategoryTheory/EnrichedCats/Examples/SmashStructureEnriched.v)
   - [EnrichedCats/Examples/HomFunctor.v](CategoryTheory/EnrichedCats/Examples/HomFunctor.v)
   - [EnrichedCats/Examples/OppositeEnriched.v](CategoryTheory/EnrichedCats/Examples/OppositeEnriched.v)
   - [EnrichedCats/Examples/FunctorCategory.v](CategoryTheory/EnrichedCats/Examples/FunctorCategory.v)
   - [EnrichedCats/Examples/Precomposition.v](CategoryTheory/EnrichedCats/Examples/Precomposition.v)
   - [EnrichedCats/Examples/Presheaves.v](CategoryTheory/EnrichedCats/Examples/Presheaves.v)
   - [EnrichedCats/Examples/Yoneda.v](CategoryTheory/EnrichedCats/Examples/Yoneda.v)
   - [EnrichedCats/Examples/Tensor.v](CategoryTheory/EnrichedCats/Examples/Tensor.v)
   - [EnrichedCats/Bifunctors/CurriedBifunctors.v](CategoryTheory/EnrichedCats/Bifunctors/CurriedBifunctors.v)
   - [EnrichedCats/Bifunctors/WhiskeredBifunctors.v](CategoryTheory/EnrichedCats/Bifunctors/WhiskeredBifunctors.v)
   - [EnrichedCats/Bifunctors/CurriedTransformations.v](CategoryTheory/EnrichedCats/Bifunctors/CurriedTransformations.v)
   - [EnrichedCats/Bifunctors/WhiskeredTransformations.v](CategoryTheory/EnrichedCats/Bifunctors/WhiskeredTransformations.v)
   - [EnrichedCats/YonedaLemma.v](CategoryTheory/EnrichedCats/YonedaLemma.v)
   - [EnrichedCats/Profunctors/Profunctor.v](CategoryTheory/EnrichedCats/Profunctors/Profunctor.v)
   - [EnrichedCats/Profunctors/StandardProfunctors.v](CategoryTheory/EnrichedCats/Profunctors/StandardProfunctors.v)
   - [EnrichedCats/Profunctors/ProfunctorTransformations.v](CategoryTheory/EnrichedCats/Profunctors/ProfunctorTransformations.v)
   - [EnrichedCats/Profunctors/ProfunctorSquares.v](CategoryTheory/EnrichedCats/Profunctors/ProfunctorSquares.v)
   - [EnrichedCats/Profunctors/Invertible.v](CategoryTheory/EnrichedCats/Profunctors/Invertible.v)
   - [EnrichedCats/Profunctors/Coend.v](CategoryTheory/EnrichedCats/Profunctors/Coend.v)
   - [EnrichedCats/Profunctors/Composition/CompositionProf.v](CategoryTheory/EnrichedCats/Profunctors/Composition/CompositionProf.v)
   - [EnrichedCats/Profunctors/Composition/SquareComp.v](CategoryTheory/EnrichedCats/Profunctors/Composition/SquareComp.v)
   - [EnrichedCats/Profunctors/Composition/Unitors.v](CategoryTheory/EnrichedCats/Profunctors/Composition/Unitors.v)
   - [EnrichedCats/Profunctors/Composition/Associators.v](CategoryTheory/EnrichedCats/Profunctors/Composition/Associators.v)
   - [EnrichedCats/Profunctors/Composition/Whiskering.v](CategoryTheory/EnrichedCats/Profunctors/Composition/Whiskering.v)
   - [EnrichedCats/Profunctors/Composition/BicatLaws.v](CategoryTheory/EnrichedCats/Profunctors/Composition/BicatLaws.v)
   - [EnrichedCats/Profunctors/Composition/WhiskerLaws.v](CategoryTheory/EnrichedCats/Profunctors/Composition/WhiskerLaws.v)
   - [EnrichedCats/Profunctors/Composition/OtherLaws.v](CategoryTheory/EnrichedCats/Profunctors/Composition/OtherLaws.v)
   - [EnrichedCats/Profunctors/Composition.v](CategoryTheory/EnrichedCats/Profunctors/Composition.v)
   - [EnrichedCats/Profunctors/RepresentableLaws.v](CategoryTheory/EnrichedCats/Profunctors/RepresentableLaws.v)
   - [EnrichedCats/Examples/EmptyEnriched.v](CategoryTheory/EnrichedCats/Examples/EmptyEnriched.v)
   - [EnrichedCats/Examples/UnitEnriched.v](CategoryTheory/EnrichedCats/Examples/UnitEnriched.v)
   - [EnrichedCats/Examples/FullSubEnriched.v](CategoryTheory/EnrichedCats/Examples/FullSubEnriched.v)
   - [EnrichedCats/Examples/ImageEnriched.v](CategoryTheory/EnrichedCats/Examples/ImageEnriched.v)
   - [EnrichedCats/Examples/DialgebraEnriched.v](CategoryTheory/EnrichedCats/Examples/DialgebraEnriched.v)
   - [EnrichedCats/Examples/SliceEnriched.v](CategoryTheory/EnrichedCats/Examples/SliceEnriched.v)
   - [EnrichedCats/Examples/EilenbergMooreEnriched.v](CategoryTheory/EnrichedCats/Examples/EilenbergMooreEnriched.v)
   - [EnrichedCats/Examples/ProductEnriched.v](CategoryTheory/EnrichedCats/Examples/ProductEnriched.v)
   - [EnrichedCats/Examples/GraphEnriched.v](CategoryTheory/EnrichedCats/Examples/GraphEnriched.v)
   - [EnrichedCats/Examples/CollageEnriched.v](CategoryTheory/EnrichedCats/Examples/CollageEnriched.v)
   - [EnrichedCats/Examples/ChangeOfBase.v](CategoryTheory/EnrichedCats/Examples/ChangeOfBase.v)
   - [EnrichedCats/RezkCompletion/PrecompFullyFaithful.v](CategoryTheory/EnrichedCats/RezkCompletion/PrecompFullyFaithful.v)
   - [EnrichedCats/RezkCompletion/PrecompEssentiallySurjective.v](CategoryTheory/EnrichedCats/RezkCompletion/PrecompEssentiallySurjective.v)
   - [EnrichedCats/RezkCompletion/EnrichedRezkCompletion.v](CategoryTheory/EnrichedCats/RezkCompletion/EnrichedRezkCompletion.v)
   - [EnrichedCats/RezkCompletion/RezkUniversalProperty.v](CategoryTheory/EnrichedCats/RezkCompletion/RezkUniversalProperty.v)
   - [EnrichedCats/Examples/KleisliEnriched.v](CategoryTheory/EnrichedCats/Examples/KleisliEnriched.v)
   - [EnrichedCats/Examples/UnivalentKleisliEnriched.v](CategoryTheory/EnrichedCats/Examples/UnivalentKleisliEnriched.v)
   - [EnrichedCats/Examples/UnivalentKleisliMapping.v](CategoryTheory/EnrichedCats/Examples/UnivalentKleisliMapping.v)
   - [EnrichedCats/Limits/Examples/OppositeEnrichedLimits.v](CategoryTheory/EnrichedCats/Limits/Examples/OppositeEnrichedLimits.v)
   - [EnrichedCats/Limits/Examples/PosetEnrichedLimits.v](CategoryTheory/EnrichedCats/Limits/Examples/PosetEnrichedLimits.v)
   - [EnrichedCats/Limits/Examples/StructureEnrichedLimits.v](CategoryTheory/EnrichedCats/Limits/Examples/StructureEnrichedLimits.v)
   - [EnrichedCats/Limits/Examples/SelfEnrichedLimits.v](CategoryTheory/EnrichedCats/Limits/Examples/SelfEnrichedLimits.v)
   - [EnrichedCats/Colimits/Examples/OppositeEnrichedColimits.v](CategoryTheory/EnrichedCats/Colimits/Examples/OppositeEnrichedColimits.v)
   - [EnrichedCats/Colimits/Examples/PosetEnrichedColimits.v](CategoryTheory/EnrichedCats/Colimits/Examples/PosetEnrichedColimits.v)
   - [EnrichedCats/Colimits/Examples/StructureEnrichedColimits.v](CategoryTheory/EnrichedCats/Colimits/Examples/StructureEnrichedColimits.v)
   - [EnrichedCats/Colimits/Examples/SelfEnrichedColimits.v](CategoryTheory/EnrichedCats/Colimits/Examples/SelfEnrichedColimits.v)
   - [GrothendieckConstruction/TotalCategory.v](CategoryTheory/GrothendieckConstruction/TotalCategory.v)
   - [GrothendieckConstruction/IsosInTotal.v](CategoryTheory/GrothendieckConstruction/IsosInTotal.v)
   - [GrothendieckConstruction/Projection.v](CategoryTheory/GrothendieckConstruction/Projection.v)
   - [GrothendieckConstruction/IsOpfibration.v](CategoryTheory/GrothendieckConstruction/IsOpfibration.v)
   - [GrothendieckConstruction/IsPullback.v](CategoryTheory/GrothendieckConstruction/IsPullback.v)
   - [TwoSidedDisplayedCats/TwoSidedDispCat.v](CategoryTheory/TwoSidedDisplayedCats/TwoSidedDispCat.v)
   - [TwoSidedDisplayedCats/Isos.v](CategoryTheory/TwoSidedDisplayedCats/Isos.v)
   - [TwoSidedDisplayedCats/Univalence.v](CategoryTheory/TwoSidedDisplayedCats/Univalence.v)
   - [TwoSidedDisplayedCats/Discrete.v](CategoryTheory/TwoSidedDisplayedCats/Discrete.v)
   - [TwoSidedDisplayedCats/Total.v](CategoryTheory/TwoSidedDisplayedCats/Total.v)
   - [TwoSidedDisplayedCats/TwoSidedFibration.v](CategoryTheory/TwoSidedDisplayedCats/TwoSidedFibration.v)
   - [TwoSidedDisplayedCats/Fiber.v](CategoryTheory/TwoSidedDisplayedCats/Fiber.v)
   - [TwoSidedDisplayedCats/DisplayedFunctor.v](CategoryTheory/TwoSidedDisplayedCats/DisplayedFunctor.v)
   - [TwoSidedDisplayedCats/DisplayedNatTrans.v](CategoryTheory/TwoSidedDisplayedCats/DisplayedNatTrans.v)
   - [TwoSidedDisplayedCats/Strictness.v](CategoryTheory/TwoSidedDisplayedCats/Strictness.v)
   - [TwoSidedDisplayedCats/TransportLaws.v](CategoryTheory/TwoSidedDisplayedCats/TransportLaws.v)
   - [TwoSidedDisplayedCats/Examples/Constant.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Constant.v)
   - [TwoSidedDisplayedCats/Examples/DispCatOnTwoSidedDispCat.v](CategoryTheory/TwoSidedDisplayedCats/Examples/DispCatOnTwoSidedDispCat.v)
   - [TwoSidedDisplayedCats/Examples/TwoSidedDispCatOnDispCat.v](CategoryTheory/TwoSidedDisplayedCats/Examples/TwoSidedDispCatOnDispCat.v)
   - [TwoSidedDisplayedCats/Examples/FiberwiseProduct.v](CategoryTheory/TwoSidedDisplayedCats/Examples/FiberwiseProduct.v)
   - [TwoSidedDisplayedCats/Examples/Opposites.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Opposites.v)
   - [TwoSidedDisplayedCats/Examples/Arrow.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Arrow.v)
   - [TwoSidedDisplayedCats/Examples/SquaresTwoCat.v](CategoryTheory/TwoSidedDisplayedCats/Examples/SquaresTwoCat.v)
   - [TwoSidedDisplayedCats/Examples/Bimodules.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Bimodules.v)
   - [TwoSidedDisplayedCats/Examples/Comma.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Comma.v)
   - [TwoSidedDisplayedCats/Examples/IsoComma.v](CategoryTheory/TwoSidedDisplayedCats/Examples/IsoComma.v)
   - [TwoSidedDisplayedCats/Examples/Lenses.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Lenses.v)
   - [TwoSidedDisplayedCats/Examples/Product.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Product.v)
   - [TwoSidedDisplayedCats/Examples/ProdOfTwosidedDispCat.v](CategoryTheory/TwoSidedDisplayedCats/Examples/ProdOfTwosidedDispCat.v)
   - [TwoSidedDisplayedCats/Examples/Profunctor.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Profunctor.v)
   - [TwoSidedDisplayedCats/Examples/Reindex.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Reindex.v)
   - [TwoSidedDisplayedCats/Examples/Relations.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Relations.v)
   - [TwoSidedDisplayedCats/Examples/EnrichedRels.v](CategoryTheory/TwoSidedDisplayedCats/Examples/EnrichedRels.v)
   - [TwoSidedDisplayedCats/Examples/Spans.v](CategoryTheory/TwoSidedDisplayedCats/Examples/Spans.v)
   - [TwoSidedDisplayedCats/Examples/ParaTwoSidedDispCat.v](CategoryTheory/TwoSidedDisplayedCats/Examples/ParaTwoSidedDispCat.v)
   - [TwoSidedDisplayedCats/Examples/StructuredCospans.v](CategoryTheory/TwoSidedDisplayedCats/Examples/StructuredCospans.v)
   - [TwoSidedDisplayedCats/Examples/ProfunctorTwosidedDispCat.v](CategoryTheory/TwoSidedDisplayedCats/Examples/ProfunctorTwosidedDispCat.v)
   - [DisplayedCats/Examples/StrictTwoSidedDispCat.v](CategoryTheory/DisplayedCats/Examples/StrictTwoSidedDispCat.v)
   - [IndexedCategories/IndexedCategory.v](CategoryTheory/IndexedCategories/IndexedCategory.v)
   - [IndexedCategories/IndexedFunctor.v](CategoryTheory/IndexedCategories/IndexedFunctor.v)
   - [IndexedCategories/IndexedTransformation.v](CategoryTheory/IndexedCategories/IndexedTransformation.v)
   - [IndexedCategories/FibrationToIndexedCategory.v](CategoryTheory/IndexedCategories/FibrationToIndexedCategory.v)
   - [IndexedCategories/CartesianToIndexedFunctor.v](CategoryTheory/IndexedCategories/CartesianToIndexedFunctor.v)
   - [IndexedCategories/NatTransToIndexed.v](CategoryTheory/IndexedCategories/NatTransToIndexed.v)
   - [IndexedCategories/IndexedCategoryToFibration.v](CategoryTheory/IndexedCategories/IndexedCategoryToFibration.v)
   - [IndexedCategories/IndexedFunctorToCartesian.v](CategoryTheory/IndexedCategories/IndexedFunctorToCartesian.v)
   - [IndexedCategories/IndexedTransformationToTransformation.v](CategoryTheory/IndexedCategories/IndexedTransformationToTransformation.v)
   - [IndexedCategories/OpIndexedCategory.v](CategoryTheory/IndexedCategories/OpIndexedCategory.v)
   - [IndexedCategories/CoreIndexedCategory.v](CategoryTheory/IndexedCategories/CoreIndexedCategory.v)
   - [RepresentableFunctors/Precategories.v](CategoryTheory/RepresentableFunctors/Precategories.v)
   - [RepresentableFunctors/Bifunctor.v](CategoryTheory/RepresentableFunctors/Bifunctor.v)
   - [RepresentableFunctors/Representation.v](CategoryTheory/RepresentableFunctors/Representation.v)
   - [RepresentableFunctors/RawMatrix.v](CategoryTheory/RepresentableFunctors/RawMatrix.v)
   - [RepresentableFunctors/DirectSum.v](CategoryTheory/RepresentableFunctors/DirectSum.v)
   - [RepresentableFunctors/Test.v](CategoryTheory/RepresentableFunctors/Test.v)
   - [Monoidal/RezkCompletion/LiftedTensor.v](CategoryTheory/Monoidal/RezkCompletion/LiftedTensor.v)
   - [Monoidal/RezkCompletion/LiftedTensorUnit.v](CategoryTheory/Monoidal/RezkCompletion/LiftedTensorUnit.v)
   - [Monoidal/RezkCompletion/LiftedUnitors.v](CategoryTheory/Monoidal/RezkCompletion/LiftedUnitors.v)
   - [Monoidal/RezkCompletion/LiftedAssociator.v](CategoryTheory/Monoidal/RezkCompletion/LiftedAssociator.v)
   - [Monoidal/RezkCompletion/LiftedMonoidal.v](CategoryTheory/Monoidal/RezkCompletion/LiftedMonoidal.v)
   - [Monoidal/RezkCompletion/MonoidalRezkCompletion.v](CategoryTheory/Monoidal/RezkCompletion/MonoidalRezkCompletion.v)
   - [DaggerCategories/Categories.v](CategoryTheory/DaggerCategories/Categories.v)
   - [DaggerCategories/Unitary.v](CategoryTheory/DaggerCategories/Unitary.v)
   - [DaggerCategories/Univalence.v](CategoryTheory/DaggerCategories/Univalence.v)
   - [DaggerCategories/Functors.v](CategoryTheory/DaggerCategories/Functors.v)
   - [DaggerCategories/Transformations.v](CategoryTheory/DaggerCategories/Transformations.v)
   - [DaggerCategories/FunctorCategory.v](CategoryTheory/DaggerCategories/FunctorCategory.v)
   - [DaggerCategories/Examples/Groupoids.v](CategoryTheory/DaggerCategories/Examples/Groupoids.v)
   - [DaggerCategories/Examples/Relations.v](CategoryTheory/DaggerCategories/Examples/Relations.v)
   - [DaggerCategories/Examples/Fullsub.v](CategoryTheory/DaggerCategories/Examples/Fullsub.v)
   - [DaggerCategories/Functors/WeakEquivalences.v](CategoryTheory/DaggerCategories/Functors/WeakEquivalences.v)
   - [DaggerCategories/Functors/FullyFaithful.v](CategoryTheory/DaggerCategories/Functors/FullyFaithful.v)
   - [DaggerCategories/Functors/Factorization.v](CategoryTheory/DaggerCategories/Functors/Factorization.v)
   - [DaggerCategories/Functors/Precomp.v](CategoryTheory/DaggerCategories/Functors/Precomp.v)
   - [DaggerCategories/CatIso.v](CategoryTheory/DaggerCategories/CatIso.v)
   - [All.v](CategoryTheory/All.v)
## Package ModelCategories
   - [Retract.v](ModelCategories/Retract.v)
   - [MorphismClass.v](ModelCategories/MorphismClass.v)
   - [Lifting.v](ModelCategories/Lifting.v)
   - [WeakEquivalences.v](ModelCategories/WeakEquivalences.v)
   - [WFS.v](ModelCategories/WFS.v)
   - [ModelCategory.v](ModelCategories/ModelCategory.v)
   - [Helpers.v](ModelCategories/Helpers.v)
   - [NWFS.v](ModelCategories/NWFS.v)
   - [NWFSisWFS.v](ModelCategories/NWFSisWFS.v)
   - [Generated/MonoidalHelpers.v](ModelCategories/Generated/MonoidalHelpers.v)
   - [Generated/LiftingWithClass.v](ModelCategories/Generated/LiftingWithClass.v)
   - [Examples.v](ModelCategories/Examples.v)
   - [Generated/FFMonoidalStructure.v](ModelCategories/Generated/FFMonoidalStructure.v)
   - [Generated/LNWFSHelpers.v](ModelCategories/Generated/LNWFSHelpers.v)
   - [Generated/LNWFSMonoidalStructure.v](ModelCategories/Generated/LNWFSMonoidalStructure.v)
   - [Generated/LNWFSCocomplete.v](ModelCategories/Generated/LNWFSCocomplete.v)
   - [Generated/LNWFSClosed.v](ModelCategories/Generated/LNWFSClosed.v)
   - [Generated/GenericFreeMonoid.v](ModelCategories/Generated/GenericFreeMonoid.v)
   - [Generated/GenericFreeMonoidSequence.v](ModelCategories/Generated/GenericFreeMonoidSequence.v)
   - [Generated/LNWFSSmallnessReduction.v](ModelCategories/Generated/LNWFSSmallnessReduction.v)
   - [Generated/OneStepMonad.v](ModelCategories/Generated/OneStepMonad.v)
   - [Generated/OneStepMonadSmall.v](ModelCategories/Generated/OneStepMonadSmall.v)
   - [Generated/SmallObjectArgument.v](ModelCategories/Generated/SmallObjectArgument.v)
   - [All.v](ModelCategories/All.v)
## Package [Bicategories](Bicategories/README.md)
   - [Core/Bicat.v](Bicategories/Core/Bicat.v)
   - [Core/Invertible_2cells.v](Bicategories/Core/Invertible_2cells.v)
   - [Morphisms/Adjunctions.v](Bicategories/Morphisms/Adjunctions.v)
   - [Morphisms/FullyFaithful.v](Bicategories/Morphisms/FullyFaithful.v)
   - [Morphisms/DiscreteMorphisms.v](Bicategories/Morphisms/DiscreteMorphisms.v)
   - [Core/Examples/OpMorBicat.v](Bicategories/Core/Examples/OpMorBicat.v)
   - [Morphisms/Examples/MorphismsInOp1Bicat.v](Bicategories/Morphisms/Examples/MorphismsInOp1Bicat.v)
   - [Core/Examples/OpCellBicat.v](Bicategories/Core/Examples/OpCellBicat.v)
   - [Core/Unitors.v](Bicategories/Core/Unitors.v)
   - [Core/BicategoryLaws.v](Bicategories/Core/BicategoryLaws.v)
   - [Core/Univalence.v](Bicategories/Core/Univalence.v)
   - [Core/TransportLaws.v](Bicategories/Core/TransportLaws.v)
   - [Core/EquivToAdjequiv.v](Bicategories/Core/EquivToAdjequiv.v)
   - [Core/AdjointUnique.v](Bicategories/Core/AdjointUnique.v)
   - [Core/UnivalenceOp.v](Bicategories/Core/UnivalenceOp.v)
   - [Core/Discreteness.v](Bicategories/Core/Discreteness.v)
   - [Morphisms/ExtensionsAndLiftings.v](Bicategories/Morphisms/ExtensionsAndLiftings.v)
   - [Morphisms/InternalStreetFibration.v](Bicategories/Morphisms/InternalStreetFibration.v)
   - [Morphisms/InternalStreetOpFibration.v](Bicategories/Morphisms/InternalStreetOpFibration.v)
   - [Morphisms/Properties/ContainsAdjEquiv.v](Bicategories/Morphisms/Properties/ContainsAdjEquiv.v)
   - [Morphisms/Properties/Composition.v](Bicategories/Morphisms/Properties/Composition.v)
   - [Morphisms/Properties/ClosedUnderInvertibles.v](Bicategories/Morphisms/Properties/ClosedUnderInvertibles.v)
   - [Morphisms/Properties.v](Bicategories/Morphisms/Properties.v)
   - [Core/Examples/DiscreteBicat.v](Bicategories/Core/Examples/DiscreteBicat.v)
   - [Core/Examples/OneTypes.v](Bicategories/Core/Examples/OneTypes.v)
   - [Core/Examples/PointedOneTypesBicat.v](Bicategories/Core/Examples/PointedOneTypesBicat.v)
   - [Core/Examples/TwoType.v](Bicategories/Core/Examples/TwoType.v)
   - [Core/Examples/BicatOfUnivCats.v](Bicategories/Core/Examples/BicatOfUnivCats.v)
   - [Core/Examples/BicatOfCats.v](Bicategories/Core/Examples/BicatOfCats.v)
   - [Core/Strictness.v](Bicategories/Core/Strictness.v)
   - [Core/Examples/StrictCats.v](Bicategories/Core/Examples/StrictCats.v)
   - [Core/Examples/Initial.v](Bicategories/Core/Examples/Initial.v)
   - [Core/Examples/Final.v](Bicategories/Core/Examples/Final.v)
   - [Core/Examples/BicategoryFromMonoidal.v](Bicategories/Core/Examples/BicategoryFromMonoidal.v)
   - [Core/Examples/BicategoryFromWhiskeredMonoidal.v](Bicategories/Core/Examples/BicategoryFromWhiskeredMonoidal.v)
   - [Core/Examples/FibSlice.v](Bicategories/Core/Examples/FibSlice.v)
   - [Core/Examples/OpFibSlice.v](Bicategories/Core/Examples/OpFibSlice.v)
   - [Morphisms/Properties/AdjunctionsRepresentable.v](Bicategories/Morphisms/Properties/AdjunctionsRepresentable.v)
   - [Morphisms/Examples/MorphismsInBicatOfUnivCats.v](Bicategories/Morphisms/Examples/MorphismsInBicatOfUnivCats.v)
   - [Morphisms/Examples/FibrationsInBicatOfUnivCats.v](Bicategories/Morphisms/Examples/FibrationsInBicatOfUnivCats.v)
   - [Morphisms/Examples/FibrationsInStrictCats.v](Bicategories/Morphisms/Examples/FibrationsInStrictCats.v)
   - [Morphisms/Examples/MorphismsInOp2Bicat.v](Bicategories/Morphisms/Examples/MorphismsInOp2Bicat.v)
   - [DisplayedBicats/DispBicat.v](Bicategories/DisplayedBicats/DispBicat.v)
   - [DisplayedBicats/DispInvertibles.v](Bicategories/DisplayedBicats/DispInvertibles.v)
   - [DisplayedBicats/DispAdjunctions.v](Bicategories/DisplayedBicats/DispAdjunctions.v)
   - [DisplayedBicats/DispUnivalence.v](Bicategories/DisplayedBicats/DispUnivalence.v)
   - [DisplayedBicats/CleavingOfBicat.v](Bicategories/DisplayedBicats/CleavingOfBicat.v)
   - [DisplayedBicats/FiberCategory.v](Bicategories/DisplayedBicats/FiberCategory.v)
   - [DisplayedBicats/FiberBicategory/FiberBicategory1.v](Bicategories/DisplayedBicats/FiberBicategory/FiberBicategory1.v)
   - [DisplayedBicats/FiberBicategory/FiberBicategory2.v](Bicategories/DisplayedBicats/FiberBicategory/FiberBicategory2.v)
   - [DisplayedBicats/FiberBicategory.v](Bicategories/DisplayedBicats/FiberBicategory.v)
   - [DisplayedBicats/Examples/Sigma.v](Bicategories/DisplayedBicats/Examples/Sigma.v)
   - [DisplayedBicats/Examples/DisplayedCatToBicat.v](Bicategories/DisplayedBicats/Examples/DisplayedCatToBicat.v)
   - [DisplayedBicats/Examples/FullSub.v](Bicategories/DisplayedBicats/Examples/FullSub.v)
   - [DisplayedBicats/Examples/Slice.v](Bicategories/DisplayedBicats/Examples/Slice.v)
   - [DisplayedBicats/Examples/Sub1Cell.v](Bicategories/DisplayedBicats/Examples/Sub1Cell.v)
   - [DisplayedBicats/Examples/DispBicatOfDispCats.v](Bicategories/DisplayedBicats/Examples/DispBicatOfDispCats.v)
   - [DisplayedBicats/Examples/Prod.v](Bicategories/DisplayedBicats/Examples/Prod.v)
   - [DisplayedBicats/Examples/DispDepProd.v](Bicategories/DisplayedBicats/Examples/DispDepProd.v)
   - [DisplayedBicats/Examples/LiftDispBicat.v](Bicategories/DisplayedBicats/Examples/LiftDispBicat.v)
   - [DisplayedBicats/Examples/Trivial.v](Bicategories/DisplayedBicats/Examples/Trivial.v)
   - [DisplayedBicats/Examples/BicatOfInvertibles.v](Bicategories/DisplayedBicats/Examples/BicatOfInvertibles.v)
   - [DisplayedBicats/Examples/EndoMap.v](Bicategories/DisplayedBicats/Examples/EndoMap.v)
   - [Core/Examples/StructuredCategories.v](Bicategories/Core/Examples/StructuredCategories.v)
   - [DisplayedBicats/Examples/CategoriesWithStructure.v](Bicategories/DisplayedBicats/Examples/CategoriesWithStructure.v)
   - [MonoidalCategories/MonoidalFromBicategory.v](Bicategories/MonoidalCategories/MonoidalFromBicategory.v)
   - [MonoidalCategories/EndofunctorsMonoidal.v](Bicategories/MonoidalCategories/EndofunctorsMonoidal.v)
   - [MonoidalCategories/PointedFunctorsMonoidal.v](Bicategories/MonoidalCategories/PointedFunctorsMonoidal.v)
   - [MonoidalCategories/Actions.v](Bicategories/MonoidalCategories/Actions.v)
   - [MonoidalCategories/ConstructionOfActions.v](Bicategories/MonoidalCategories/ConstructionOfActions.v)
   - [MonoidalCategories/WhiskeredMonoidalFromBicategory.v](Bicategories/MonoidalCategories/WhiskeredMonoidalFromBicategory.v)
   - [MonoidalCategories/ActionOfEndomorphismsInBicatWhiskered.v](Bicategories/MonoidalCategories/ActionOfEndomorphismsInBicatWhiskered.v)
   - [MonoidalCategories/BicatOfWhiskeredMonCatsLax.v](Bicategories/MonoidalCategories/BicatOfWhiskeredMonCatsLax.v)
   - [MonoidalCategories/BicatOfWhiskeredMonCats.v](Bicategories/MonoidalCategories/BicatOfWhiskeredMonCats.v)
   - [MonoidalCategories/EndofunctorsWhiskeredMonoidal.v](Bicategories/MonoidalCategories/EndofunctorsWhiskeredMonoidal.v)
   - [MonoidalCategories/PointedFunctorsWhiskeredMonoidal.v](Bicategories/MonoidalCategories/PointedFunctorsWhiskeredMonoidal.v)
   - [MonoidalCategories/IdempotencePointedFunctorsWhiskeredMonoidal.v](Bicategories/MonoidalCategories/IdempotencePointedFunctorsWhiskeredMonoidal.v)
   - [MonoidalCategories/ActionBasedStrength.v](Bicategories/MonoidalCategories/ActionBasedStrength.v)
   - [MonoidalCategories/ActionBasedStrongFunctorsMonoidal.v](Bicategories/MonoidalCategories/ActionBasedStrongFunctorsMonoidal.v)
   - [MonoidalCategories/ActionOfEndomorphismsInBicat.v](Bicategories/MonoidalCategories/ActionOfEndomorphismsInBicat.v)
   - [MonoidalCategories/ActionBasedStrongFunctorCategory.v](Bicategories/MonoidalCategories/ActionBasedStrongFunctorCategory.v)
   - [MonoidalCategories/ActionsFormBicategory.v](Bicategories/MonoidalCategories/ActionsFormBicategory.v)
   - [MonoidalCategories/ActionBasedStrongFunctorsWhiskeredMonoidal.v](Bicategories/MonoidalCategories/ActionBasedStrongFunctorsWhiskeredMonoidal.v)
   - [MonoidalCategories/BicatOfActegories.v](Bicategories/MonoidalCategories/BicatOfActegories.v)
   - [MonoidalCategories/BicatOfActionsInBicat.v](Bicategories/MonoidalCategories/BicatOfActionsInBicat.v)
   - [MonoidalCategories/UnivalenceMonCat/CurriedMonoidalCategories.v](Bicategories/MonoidalCategories/UnivalenceMonCat/CurriedMonoidalCategories.v)
   - [MonoidalCategories/UnivalenceMonCat/EquivalenceWhiskeredCurried.v](Bicategories/MonoidalCategories/UnivalenceMonCat/EquivalenceWhiskeredCurried.v)
   - [MonoidalCategories/UnivalenceMonCat/UnitLayer.v](Bicategories/MonoidalCategories/UnivalenceMonCat/UnitLayer.v)
   - [MonoidalCategories/UnivalenceMonCat/TensorLayer.v](Bicategories/MonoidalCategories/UnivalenceMonCat/TensorLayer.v)
   - [MonoidalCategories/UnivalenceMonCat/TensorUnitLayer.v](Bicategories/MonoidalCategories/UnivalenceMonCat/TensorUnitLayer.v)
   - [MonoidalCategories/UnivalenceMonCat/AssociatorUnitorsLayer.v](Bicategories/MonoidalCategories/UnivalenceMonCat/AssociatorUnitorsLayer.v)
   - [MonoidalCategories/UnivalenceMonCat/FinalLayer.v](Bicategories/MonoidalCategories/UnivalenceMonCat/FinalLayer.v)
   - [MonoidalCategories/UnivalenceMonCat/EquivalenceMonCatCurried.v](Bicategories/MonoidalCategories/UnivalenceMonCat/EquivalenceMonCatCurried.v)
   - [MonoidalCategories/UnivalenceMonCat/EquivalenceMonCatNonCurried.v](Bicategories/MonoidalCategories/UnivalenceMonCat/EquivalenceMonCatNonCurried.v)
   - [Core/Examples/Groupoids.v](Bicategories/Core/Examples/Groupoids.v)
   - [PseudoFunctors/Display/Base.v](Bicategories/PseudoFunctors/Display/Base.v)
   - [PseudoFunctors/Display/Map1Cells.v](Bicategories/PseudoFunctors/Display/Map1Cells.v)
   - [PseudoFunctors/Display/Map2Cells.v](Bicategories/PseudoFunctors/Display/Map2Cells.v)
   - [PseudoFunctors/Display/Identitor.v](Bicategories/PseudoFunctors/Display/Identitor.v)
   - [PseudoFunctors/Display/Compositor.v](Bicategories/PseudoFunctors/Display/Compositor.v)
   - [PseudoFunctors/Display/PseudoFunctorBicat.v](Bicategories/PseudoFunctors/Display/PseudoFunctorBicat.v)
   - [PseudoFunctors/Display/StrictIdentitor.v](Bicategories/PseudoFunctors/Display/StrictIdentitor.v)
   - [PseudoFunctors/Display/StrictCompositor.v](Bicategories/PseudoFunctors/Display/StrictCompositor.v)
   - [PseudoFunctors/Display/StrictPseudoFunctorBicat.v](Bicategories/PseudoFunctors/Display/StrictPseudoFunctorBicat.v)
   - [PseudoFunctors/PseudoFunctor.v](Bicategories/PseudoFunctors/PseudoFunctor.v)
   - [PseudoFunctors/Properties.v](Bicategories/PseudoFunctors/Properties.v)
   - [PseudoFunctors/LocalEquivalenceProperties.v](Bicategories/PseudoFunctors/LocalEquivalenceProperties.v)
   - [PseudoFunctors/StrictPseudoFunctor.v](Bicategories/PseudoFunctors/StrictPseudoFunctor.v)
   - [PseudoFunctors/Examples/Identity.v](Bicategories/PseudoFunctors/Examples/Identity.v)
   - [PseudoFunctors/Examples/Composition.v](Bicategories/PseudoFunctors/Examples/Composition.v)
   - [PseudoFunctors/Examples/Constant.v](Bicategories/PseudoFunctors/Examples/Constant.v)
   - [PseudoFunctors/Examples/ApFunctor.v](Bicategories/PseudoFunctors/Examples/ApFunctor.v)
   - [PseudoFunctors/Examples/OpFunctor.v](Bicategories/PseudoFunctors/Examples/OpFunctor.v)
   - [PseudoFunctors/Examples/CatDiag.v](Bicategories/PseudoFunctors/Examples/CatDiag.v)
   - [PseudoFunctors/Examples/PseudofunctorFromMonoidal.v](Bicategories/PseudoFunctors/Examples/PseudofunctorFromMonoidal.v)
   - [PseudoFunctors/Examples/Op2OfPseudoFunctor.v](Bicategories/PseudoFunctors/Examples/Op2OfPseudoFunctor.v)
   - [PseudoFunctors/Examples/BicatOfCatToUnivCat.v](Bicategories/PseudoFunctors/Examples/BicatOfCatToUnivCat.v)
   - [PseudoFunctors/Examples/PseudoFunctorsIntoCat.v](Bicategories/PseudoFunctors/Examples/PseudoFunctorsIntoCat.v)
   - [Transformations/PseudoTransformation.v](Bicategories/Transformations/PseudoTransformation.v)
   - [Transformations/Examples/Whiskering.v](Bicategories/Transformations/Examples/Whiskering.v)
   - [Transformations/Examples/Unitality.v](Bicategories/Transformations/Examples/Unitality.v)
   - [Transformations/Examples/Associativity.v](Bicategories/Transformations/Examples/Associativity.v)
   - [Transformations/Examples/ApTransformation.v](Bicategories/Transformations/Examples/ApTransformation.v)
   - [Transformations/Examples/PseudoTransformationIntoCat.v](Bicategories/Transformations/Examples/PseudoTransformationIntoCat.v)
   - [Modifications/Modification.v](Bicategories/Modifications/Modification.v)
   - [Modifications/Examples/ApModification.v](Bicategories/Modifications/Examples/ApModification.v)
   - [Modifications/Examples/Unitality.v](Bicategories/Modifications/Examples/Unitality.v)
   - [Modifications/Examples/Associativity.v](Bicategories/Modifications/Examples/Associativity.v)
   - [Modifications/Examples/ModificationIntoCat.v](Bicategories/Modifications/Examples/ModificationIntoCat.v)
   - [PseudoFunctors/Representable.v](Bicategories/PseudoFunctors/Representable.v)
   - [PseudoFunctors/Yoneda.v](Bicategories/PseudoFunctors/Yoneda.v)
   - [PseudoFunctors/Biequivalence.v](Bicategories/PseudoFunctors/Biequivalence.v)
   - [PseudoFunctors/Examples/StrictToPseudo.v](Bicategories/PseudoFunctors/Examples/StrictToPseudo.v)
   - [PseudoFunctors/Examples/Projection.v](Bicategories/PseudoFunctors/Examples/Projection.v)
   - [MonoidalCategories/EquivalenceActegoriesAndActions.v](Bicategories/MonoidalCategories/EquivalenceActegoriesAndActions.v)
   - [PseudoFunctors/Biadjunction.v](Bicategories/PseudoFunctors/Biadjunction.v)
   - [PseudoFunctors/UniversalArrow.v](Bicategories/PseudoFunctors/UniversalArrow.v)
   - [DisplayedBicats/DispBicatSection.v](Bicategories/DisplayedBicats/DispBicatSection.v)
   - [DisplayedBicats/Examples/PointedOneTypes.v](Bicategories/DisplayedBicats/Examples/PointedOneTypes.v)
   - [DisplayedBicats/Examples/DisplayedInserter.v](Bicategories/DisplayedBicats/Examples/DisplayedInserter.v)
   - [DisplayedBicats/Examples/Displayed2Inserter.v](Bicategories/DisplayedBicats/Examples/Displayed2Inserter.v)
   - [DisplayedBicats/Examples/Algebras.v](Bicategories/DisplayedBicats/Examples/Algebras.v)
   - [DisplayedBicats/Examples/Add2Cell.v](Bicategories/DisplayedBicats/Examples/Add2Cell.v)
   - [DisplayedBicats/Examples/ContravariantFunctor.v](Bicategories/DisplayedBicats/Examples/ContravariantFunctor.v)
   - [DisplayedBicats/Examples/Cofunctormap.v](Bicategories/DisplayedBicats/Examples/Cofunctormap.v)
   - [DisplayedBicats/Examples/CwF.v](Bicategories/DisplayedBicats/Examples/CwF.v)
   - [DisplayedBicats/Examples/LaxSlice.v](Bicategories/DisplayedBicats/Examples/LaxSlice.v)
   - [DisplayedBicats/Examples/FunctorsIntoCat.v](Bicategories/DisplayedBicats/Examples/FunctorsIntoCat.v)
   - [DisplayedBicats/Examples/Codomain.v](Bicategories/DisplayedBicats/Examples/Codomain.v)
   - [DisplayedBicats/DispPseudofunctor.v](Bicategories/DisplayedBicats/DispPseudofunctor.v)
   - [DisplayedBicats/DispTransportLaws.v](Bicategories/DisplayedBicats/DispTransportLaws.v)
   - [DisplayedBicats/UnivalenceTechniques.v](Bicategories/DisplayedBicats/UnivalenceTechniques.v)
   - [Transformations/Examples/AlgebraMap.v](Bicategories/Transformations/Examples/AlgebraMap.v)
   - [DisplayedBicats/Examples/Monads.v](Bicategories/DisplayedBicats/Examples/Monads.v)
   - [DisplayedBicats/Examples/KleisliTriple.v](Bicategories/DisplayedBicats/Examples/KleisliTriple.v)
   - [DisplayedBicats/Examples/EnrichedCats.v](Bicategories/DisplayedBicats/Examples/EnrichedCats.v)
   - [DisplayedBicats/Examples/DispBicatOfTwoSidedDispCat.v](Bicategories/DisplayedBicats/Examples/DispBicatOfTwoSidedDispCat.v)
   - [DisplayedBicats/DispTransformation.v](Bicategories/DisplayedBicats/DispTransformation.v)
   - [DisplayedBicats/DispModification.v](Bicategories/DisplayedBicats/DispModification.v)
   - [DisplayedBicats/DispBiequivalence.v](Bicategories/DisplayedBicats/DispBiequivalence.v)
   - [DisplayedBicats/ProductDispBiequiv.v](Bicategories/DisplayedBicats/ProductDispBiequiv.v)
   - [DoubleCategories/Basics/DoubleCategoryBasics.v](Bicategories/DoubleCategories/Basics/DoubleCategoryBasics.v)
   - [DoubleCategories/Basics/StrictDoubleCatBasics.v](Bicategories/DoubleCategories/Basics/StrictDoubleCatBasics.v)
   - [DoubleCategories/Core/DoubleCats.v](Bicategories/DoubleCategories/Core/DoubleCats.v)
   - [DoubleCategories/Core/DoubleFunctor/Basics.v](Bicategories/DoubleCategories/Core/DoubleFunctor/Basics.v)
   - [DoubleCategories/Core/DoubleFunctor/LeftUnitor.v](Bicategories/DoubleCategories/Core/DoubleFunctor/LeftUnitor.v)
   - [DoubleCategories/Core/DoubleFunctor/RightUnitor.v](Bicategories/DoubleCategories/Core/DoubleFunctor/RightUnitor.v)
   - [DoubleCategories/Core/DoubleFunctor/Associator.v](Bicategories/DoubleCategories/Core/DoubleFunctor/Associator.v)
   - [DoubleCategories/Core/DoubleFunctor.v](Bicategories/DoubleCategories/Core/DoubleFunctor.v)
   - [DoubleCategories/Core/DoubleTransformation.v](Bicategories/DoubleCategories/Core/DoubleTransformation.v)
   - [DoubleCategories/Core/BicatOfDoubleCats.v](Bicategories/DoubleCategories/Core/BicatOfDoubleCats.v)
   - [DoubleCategories/Core/UnivalentDoubleCats.v](Bicategories/DoubleCategories/Core/UnivalentDoubleCats.v)
   - [DoubleCategories/DerivedLaws/TransportLaws.v](Bicategories/DoubleCategories/DerivedLaws/TransportLaws.v)
   - [DoubleCategories/DerivedLaws/Variations.v](Bicategories/DoubleCategories/DerivedLaws/Variations.v)
   - [DoubleCategories/DerivedLaws/Unitors.v](Bicategories/DoubleCategories/DerivedLaws/Unitors.v)
   - [DoubleCategories/DerivedLaws.v](Bicategories/DoubleCategories/DerivedLaws.v)
   - [DoubleCategories/Core/InvertiblesAndEquivalences.v](Bicategories/DoubleCategories/Core/InvertiblesAndEquivalences.v)
   - [DoubleCategories/Core/CatOfStrictDoubleCats.v](Bicategories/DoubleCategories/Core/CatOfStrictDoubleCats.v)
   - [DoubleCategories/Core/CatOfPseudoDoubleCats.v](Bicategories/DoubleCategories/Core/CatOfPseudoDoubleCats.v)
   - [DoubleCategories/Core/StrictDoubleCats.v](Bicategories/DoubleCategories/Core/StrictDoubleCats.v)
   - [DoubleCategories/Core/PseudoDoubleSetCats.v](Bicategories/DoubleCategories/Core/PseudoDoubleSetCats.v)
   - [DoubleCategories/Core/SymmetricUnivalent.v](Bicategories/DoubleCategories/Core/SymmetricUnivalent.v)
   - [DoubleCategories/Underlying/HorizontalBicategory.v](Bicategories/DoubleCategories/Underlying/HorizontalBicategory.v)
   - [DoubleCategories/Underlying/VerticalTwoCategory.v](Bicategories/DoubleCategories/Underlying/VerticalTwoCategory.v)
   - [DoubleCategories/Underlying/VerticalTwoCategoryStrict.v](Bicategories/DoubleCategories/Underlying/VerticalTwoCategoryStrict.v)
   - [DoubleCategories/Core/CompanionsAndConjoints.v](Bicategories/DoubleCategories/Core/CompanionsAndConjoints.v)
   - [DoubleCategories/Examples/UnitDoubleCat.v](Bicategories/DoubleCategories/Examples/UnitDoubleCat.v)
   - [DoubleCategories/Examples/ProductDoubleCat.v](Bicategories/DoubleCategories/Examples/ProductDoubleCat.v)
   - [DoubleCategories/Examples/DoubleCatOnDispCat.v](Bicategories/DoubleCategories/Examples/DoubleCatOnDispCat.v)
   - [DoubleCategories/Examples/FullSubDoubleCat.v](Bicategories/DoubleCategories/Examples/FullSubDoubleCat.v)
   - [DoubleCategories/Examples/OpDoubleCat.v](Bicategories/DoubleCategories/Examples/OpDoubleCat.v)
   - [DoubleCategories/Examples/RelationsDoubleCat.v](Bicategories/DoubleCategories/Examples/RelationsDoubleCat.v)
   - [DoubleCategories/Examples/EnrichedRelDoubleCat.v](Bicategories/DoubleCategories/Examples/EnrichedRelDoubleCat.v)
   - [DoubleCategories/Examples/LaxExtensionToFunctor.v](Bicategories/DoubleCategories/Examples/LaxExtensionToFunctor.v)
   - [DoubleCategories/Examples/SquareDoubleCat.v](Bicategories/DoubleCategories/Examples/SquareDoubleCat.v)
   - [DoubleCategories/Examples/SquareDoubleCatTwo.v](Bicategories/DoubleCategories/Examples/SquareDoubleCatTwo.v)
   - [DoubleCategories/Examples/Coreflections.v](Bicategories/DoubleCategories/Examples/Coreflections.v)
   - [DoubleCategories/Examples/ParaDoubleCat.v](Bicategories/DoubleCategories/Examples/ParaDoubleCat.v)
   - [DoubleCategories/Examples/LensesDoubleCat.v](Bicategories/DoubleCategories/Examples/LensesDoubleCat.v)
   - [DoubleCategories/Examples/SpansDoubleCat.v](Bicategories/DoubleCategories/Examples/SpansDoubleCat.v)
   - [DoubleCategories/Examples/KleisliDoubleCat.v](Bicategories/DoubleCategories/Examples/KleisliDoubleCat.v)
   - [DoubleCategories/Examples/TransposeStrict.v](Bicategories/DoubleCategories/Examples/TransposeStrict.v)
   - [DoubleCategories/Examples/StructuredCospansDoubleCat.v](Bicategories/DoubleCategories/Examples/StructuredCospansDoubleCat.v)
   - [DoubleCategories/Examples/StructuredCospansDoubleFunctor.v](Bicategories/DoubleCategories/Examples/StructuredCospansDoubleFunctor.v)
   - [DoubleCategories/Examples/BiSetcatToDoubleCat.v](Bicategories/DoubleCategories/Examples/BiSetcatToDoubleCat.v)
   - [DoubleCategories/Examples/ProfunctorDoubleCat.v](Bicategories/DoubleCategories/Examples/ProfunctorDoubleCat.v)
   - [DoubleCategories/Examples/EnrichedProfunctorDoubleCat.v](Bicategories/DoubleCategories/Examples/EnrichedProfunctorDoubleCat.v)
   - [DoubleCategories/Examples/Coalgebras.v](Bicategories/DoubleCategories/Examples/Coalgebras.v)
   - [DoubleCategories/Limits/DoubleTerminal.v](Bicategories/DoubleCategories/Limits/DoubleTerminal.v)
   - [DoubleCategories/AlternativeDefinitions/DoubleCatsUnfolded.v](Bicategories/DoubleCategories/AlternativeDefinitions/DoubleCatsUnfolded.v)
   - [DoubleCategories/AlternativeDefinitions/DoubleCatsEquivalentDefinitions.v](Bicategories/DoubleCategories/AlternativeDefinitions/DoubleCatsEquivalentDefinitions.v)
   - [DoubleCategories/DoubleBicat/VerityDoubleBicat.v](Bicategories/DoubleCategories/DoubleBicat/VerityDoubleBicat.v)
   - [DoubleCategories/DoubleBicat/DerivedLaws.v](Bicategories/DoubleCategories/DoubleBicat/DerivedLaws.v)
   - [DoubleCategories/DoubleBicat/UnderlyingCats.v](Bicategories/DoubleCategories/DoubleBicat/UnderlyingCats.v)
   - [DoubleCategories/Examples/TransposeDoubleBicat.v](Bicategories/DoubleCategories/Examples/TransposeDoubleBicat.v)
   - [DoubleCategories/DoubleBicat/CellsAndSquares.v](Bicategories/DoubleCategories/DoubleBicat/CellsAndSquares.v)
   - [DoubleCategories/DoubleBicat/LocalUnivalence.v](Bicategories/DoubleCategories/DoubleBicat/LocalUnivalence.v)
   - [DoubleCategories/Examples/HorizontalDual.v](Bicategories/DoubleCategories/Examples/HorizontalDual.v)
   - [DoubleCategories/DoubleBicat/CompanionPairs.v](Bicategories/DoubleCategories/DoubleBicat/CompanionPairs.v)
   - [DoubleCategories/DoubleBicat/CompanionPairUnique.v](Bicategories/DoubleCategories/DoubleBicat/CompanionPairUnique.v)
   - [DoubleCategories/DoubleBicat/CompanionPairAdjEquiv.v](Bicategories/DoubleCategories/DoubleBicat/CompanionPairAdjEquiv.v)
   - [DoubleCategories/DoubleBicat/Conjoints.v](Bicategories/DoubleCategories/DoubleBicat/Conjoints.v)
   - [DoubleCategories/DoubleBicat/GregariousEquivalence.v](Bicategories/DoubleCategories/DoubleBicat/GregariousEquivalence.v)
   - [DoubleCategories/DoubleBicat/GlobalUnivalence.v](Bicategories/DoubleCategories/DoubleBicat/GlobalUnivalence.v)
   - [DoubleCategories/DoubleBicat/Core.v](Bicategories/DoubleCategories/DoubleBicat/Core.v)
   - [DoubleCategories/Examples/SquareDoubleBicat.v](Bicategories/DoubleCategories/Examples/SquareDoubleBicat.v)
   - [DoubleCategories/Examples/MateDoubleBicat.v](Bicategories/DoubleCategories/Examples/MateDoubleBicat.v)
   - [DoubleCategories/Examples/DoubleCatToDoubleBicat.v](Bicategories/DoubleCategories/Examples/DoubleCatToDoubleBicat.v)
   - [DoubleCategories/Examples/ProfunctorDoubleBicat.v](Bicategories/DoubleCategories/Examples/ProfunctorDoubleBicat.v)
   - [DoubleCategories/Examples/EnrichedProfunctorDoubleBicat.v](Bicategories/DoubleCategories/Examples/EnrichedProfunctorDoubleBicat.v)
   - [DisplayedBicats/Examples/MonadsLax.v](Bicategories/DisplayedBicats/Examples/MonadsLax.v)
   - [DisplayedBicats/Examples/DispBicatOnCatToUniv.v](Bicategories/DisplayedBicats/Examples/DispBicatOnCatToUniv.v)
   - [PseudoFunctors/Examples/MonadInclusion.v](Bicategories/PseudoFunctors/Examples/MonadInclusion.v)
   - [PseudoFunctors/Examples/OpFunctorEnriched.v](Bicategories/PseudoFunctors/Examples/OpFunctorEnriched.v)
   - [Monads/Examples/AdjunctionToMonad.v](Bicategories/Monads/Examples/AdjunctionToMonad.v)
   - [Monads/Examples/ToMonadInCat.v](Bicategories/Monads/Examples/ToMonadInCat.v)
   - [Monads/Examples/MonadsInBicatOfUnivCats.v](Bicategories/Monads/Examples/MonadsInBicatOfUnivCats.v)
   - [Monads/Examples/MonadsInBicatOfCats.v](Bicategories/Monads/Examples/MonadsInBicatOfCats.v)
   - [Monads/Examples/MonadsInOp1Bicat.v](Bicategories/Monads/Examples/MonadsInOp1Bicat.v)
   - [Monads/Examples/MonadsInOp2Bicat.v](Bicategories/Monads/Examples/MonadsInOp2Bicat.v)
   - [Monads/Examples/MonadsInTotalBicat.v](Bicategories/Monads/Examples/MonadsInTotalBicat.v)
   - [Monads/Examples/MonadsInBicatOfEnrichedCats.v](Bicategories/Monads/Examples/MonadsInBicatOfEnrichedCats.v)
   - [Monads/DistributiveLaws.v](Bicategories/Monads/DistributiveLaws.v)
   - [Monads/MixedDistributiveLaws.v](Bicategories/Monads/MixedDistributiveLaws.v)
   - [Monads/Examples/MonadsInMonads.v](Bicategories/Monads/Examples/MonadsInMonads.v)
   - [Monads/Examples/Composition.v](Bicategories/Monads/Examples/Composition.v)
   - [Monads/Examples/PsfunctorOnMonad.v](Bicategories/Monads/Examples/PsfunctorOnMonad.v)
   - [Monads/LocalEquivalenceMonad.v](Bicategories/Monads/LocalEquivalenceMonad.v)
   - [Core/Examples/Image.v](Bicategories/Core/Examples/Image.v)
   - [PseudoFunctors/Examples/CorestrictImage.v](Bicategories/PseudoFunctors/Examples/CorestrictImage.v)
   - [Core/YonedaLemma.v](Bicategories/Core/YonedaLemma.v)
   - [Limits/Final.v](Bicategories/Limits/Final.v)
   - [Limits/Products.v](Bicategories/Limits/Products.v)
   - [Limits/Pullbacks.v](Bicategories/Limits/Pullbacks.v)
   - [Limits/CommaObjects.v](Bicategories/Limits/CommaObjects.v)
   - [Limits/Inserters.v](Bicategories/Limits/Inserters.v)
   - [Limits/IsoInserters.v](Bicategories/Limits/IsoInserters.v)
   - [Limits/Equifiers.v](Bicategories/Limits/Equifiers.v)
   - [Limits/EilenbergMooreObjects.v](Bicategories/Limits/EilenbergMooreObjects.v)
   - [Limits/EilenbergMooreComonad.v](Bicategories/Limits/EilenbergMooreComonad.v)
   - [Monads/ConstructionOfAlgebras.v](Bicategories/Monads/ConstructionOfAlgebras.v)
   - [Monads/MonadToAdjunction.v](Bicategories/Monads/MonadToAdjunction.v)
   - [Limits/Examples/OneTypesLimits.v](Bicategories/Limits/Examples/OneTypesLimits.v)
   - [Limits/Examples/BicatOfCatsLimits.v](Bicategories/Limits/Examples/BicatOfCatsLimits.v)
   - [Limits/Examples/BicatOfUnivCatsLimits.v](Bicategories/Limits/Examples/BicatOfUnivCatsLimits.v)
   - [Limits/Examples/BicatOfEnrichedCatsLimits.v](Bicategories/Limits/Examples/BicatOfEnrichedCatsLimits.v)
   - [Limits/Examples/OpCellBicatLimits.v](Bicategories/Limits/Examples/OpCellBicatLimits.v)
   - [Limits/Examples/UnivGroupoidsLimits.v](Bicategories/Limits/Examples/UnivGroupoidsLimits.v)
   - [Limits/Examples/SliceBicategoryLimits.v](Bicategories/Limits/Examples/SliceBicategoryLimits.v)
   - [Limits/Examples/TotalBicategoryLimits.v](Bicategories/Limits/Examples/TotalBicategoryLimits.v)
   - [Limits/Examples/DispConstructionsLimits.v](Bicategories/Limits/Examples/DispConstructionsLimits.v)
   - [Limits/Examples/SubbicatLimits.v](Bicategories/Limits/Examples/SubbicatLimits.v)
   - [Limits/Examples/LimitsStructuredCategories.v](Bicategories/Limits/Examples/LimitsStructuredCategories.v)
   - [MonoidalCategories/BicatOfWhiskeredMonCatsFinalObject.v](Bicategories/MonoidalCategories/BicatOfWhiskeredMonCatsFinalObject.v)
   - [Morphisms/Monadic.v](Bicategories/Morphisms/Monadic.v)
   - [MonoidalCategories/MonoidalDialgebrasInserters.v](Bicategories/MonoidalCategories/MonoidalDialgebrasInserters.v)
   - [MonoidalCategories/BicatOfActegoriesFinalObject.v](Bicategories/MonoidalCategories/BicatOfActegoriesFinalObject.v)
   - [MonoidalCategories/MonadsAsMonoidsWhiskered.v](Bicategories/MonoidalCategories/MonadsAsMonoidsWhiskered.v)
   - [Monads/Examples/MonadsInStructuredCategories.v](Bicategories/Monads/Examples/MonadsInStructuredCategories.v)
   - [Limits/ProductEquivalences.v](Bicategories/Limits/ProductEquivalences.v)
   - [Limits/PullbackFunctions.v](Bicategories/Limits/PullbackFunctions.v)
   - [Limits/PullbackEquivalences.v](Bicategories/Limits/PullbackEquivalences.v)
   - [Limits/InserterEquivalences.v](Bicategories/Limits/InserterEquivalences.v)
   - [Limits/EquifierEquivalences.v](Bicategories/Limits/EquifierEquivalences.v)
   - [OrthogonalFactorization/Orthogonality.v](Bicategories/OrthogonalFactorization/Orthogonality.v)
   - [OrthogonalFactorization/FactorizationSystem.v](Bicategories/OrthogonalFactorization/FactorizationSystem.v)
   - [Morphisms/Eso.v](Bicategories/Morphisms/Eso.v)
   - [Morphisms/Properties/Projections.v](Bicategories/Morphisms/Properties/Projections.v)
   - [Morphisms/Properties/ClosedUnderPullback.v](Bicategories/Morphisms/Properties/ClosedUnderPullback.v)
   - [Morphisms/Properties/EsoProperties.v](Bicategories/Morphisms/Properties/EsoProperties.v)
   - [Morphisms/Examples/MorphismsInOneTypes.v](Bicategories/Morphisms/Examples/MorphismsInOneTypes.v)
   - [Morphisms/Examples/EsosInBicatOfUnivCats.v](Bicategories/Morphisms/Examples/EsosInBicatOfUnivCats.v)
   - [Morphisms/Examples/MorphismsInSliceBicat.v](Bicategories/Morphisms/Examples/MorphismsInSliceBicat.v)
   - [Morphisms/Examples/MorphismsInStructuredCat.v](Bicategories/Morphisms/Examples/MorphismsInStructuredCat.v)
   - [Morphisms/Examples/MorphismsInBicatOfEnrichedCats.v](Bicategories/Morphisms/Examples/MorphismsInBicatOfEnrichedCats.v)
   - [OrthogonalFactorization/EsoFactorizationSystem.v](Bicategories/OrthogonalFactorization/EsoFactorizationSystem.v)
   - [OrthogonalFactorization/EnrichedEsoFactorization.v](Bicategories/OrthogonalFactorization/EnrichedEsoFactorization.v)
   - [Colimits/Initial.v](Bicategories/Colimits/Initial.v)
   - [Colimits/Coproducts.v](Bicategories/Colimits/Coproducts.v)
   - [Colimits/Extensive.v](Bicategories/Colimits/Extensive.v)
   - [Colimits/KleisliObjects.v](Bicategories/Colimits/KleisliObjects.v)
   - [Limits/Examples/OpMorBicatLimits.v](Bicategories/Limits/Examples/OpMorBicatLimits.v)
   - [Colimits/Examples/OpCellBicatColimits.v](Bicategories/Colimits/Examples/OpCellBicatColimits.v)
   - [Colimits/Examples/OneTypesColimits.v](Bicategories/Colimits/Examples/OneTypesColimits.v)
   - [Colimits/Examples/BicatOfCatsColimits.v](Bicategories/Colimits/Examples/BicatOfCatsColimits.v)
   - [Colimits/Examples/BicatOfUnivCatsColimits.v](Bicategories/Colimits/Examples/BicatOfUnivCatsColimits.v)
   - [Colimits/Examples/BicatOfEnrichedCatsColimits.v](Bicategories/Colimits/Examples/BicatOfEnrichedCatsColimits.v)
   - [Colimits/Examples/SliceBicategoryColimits.v](Bicategories/Colimits/Examples/SliceBicategoryColimits.v)
   - [Colimits/CoproductEquivalences.v](Bicategories/Colimits/CoproductEquivalences.v)
   - [Morphisms/Properties/FromInitial.v](Bicategories/Morphisms/Properties/FromInitial.v)
   - [Objects/CartesianObject.v](Bicategories/Objects/CartesianObject.v)
   - [Objects/CocartesianObject.v](Bicategories/Objects/CocartesianObject.v)
   - [Objects/Examples/BicatOfUnivCatsObjects.v](Bicategories/Objects/Examples/BicatOfUnivCatsObjects.v)
   - [PseudoFunctors/Examples/ConstProduct.v](Bicategories/PseudoFunctors/Examples/ConstProduct.v)
   - [PseudoFunctors/Examples/CurryingInBicatOfCats.v](Bicategories/PseudoFunctors/Examples/CurryingInBicatOfCats.v)
   - [PseudoFunctors/PseudoFunctorLimits.v](Bicategories/PseudoFunctors/PseudoFunctorLimits.v)
   - [DisplayedBicats/DispBiadjunction.v](Bicategories/DisplayedBicats/DispBiadjunction.v)
   - [PseudoFunctors/Examples/PathGroupoid.v](Bicategories/PseudoFunctors/Examples/PathGroupoid.v)
   - [DisplayedBicats/DispToFiberEquivalence.v](Bicategories/DisplayedBicats/DispToFiberEquivalence.v)
   - [DisplayedBicats/DispBuilders.v](Bicategories/DisplayedBicats/DispBuilders.v)
   - [DisplayedBicats/Examples/MonadKtripleBiequiv.v](Bicategories/DisplayedBicats/Examples/MonadKtripleBiequiv.v)
   - [DisplayedBicats/Examples/PointedGroupoid.v](Bicategories/DisplayedBicats/Examples/PointedGroupoid.v)
   - [PseudoFunctors/Examples/LiftingActegories.v](Bicategories/PseudoFunctors/Examples/LiftingActegories.v)
   - [PseudoFunctors/Examples/ChangeOfBaseEnriched.v](Bicategories/PseudoFunctors/Examples/ChangeOfBaseEnriched.v)
   - [WkCatEnrichment/prebicategory.v](Bicategories/WkCatEnrichment/prebicategory.v)
   - [WkCatEnrichment/Notations.v](Bicategories/WkCatEnrichment/Notations.v)
   - [WkCatEnrichment/whiskering.v](Bicategories/WkCatEnrichment/whiskering.v)
   - [WkCatEnrichment/Cat.v](Bicategories/WkCatEnrichment/Cat.v)
   - [WkCatEnrichment/internal_equivalence.v](Bicategories/WkCatEnrichment/internal_equivalence.v)
   - [WkCatEnrichment/bicategory.v](Bicategories/WkCatEnrichment/bicategory.v)
   - [WkCatEnrichment/hcomp_bicat.v](Bicategories/WkCatEnrichment/hcomp_bicat.v)
   - [PseudoFunctors/Examples/Strictify.v](Bicategories/PseudoFunctors/Examples/Strictify.v)
   - [PseudoFunctors/Preservation/Preservation.v](Bicategories/PseudoFunctors/Preservation/Preservation.v)
   - [PseudoFunctors/Preservation/BiadjunctionPreservation.v](Bicategories/PseudoFunctors/Preservation/BiadjunctionPreservation.v)
   - [PseudoFunctors/Preservation/BiadjunctionPreserveProducts.v](Bicategories/PseudoFunctors/Preservation/BiadjunctionPreserveProducts.v)
   - [PseudoFunctors/Preservation/BiadjunctionPreserveInserters.v](Bicategories/PseudoFunctors/Preservation/BiadjunctionPreserveInserters.v)
   - [PseudoFunctors/Preservation/BiadjunctionPreserveEquifiers.v](Bicategories/PseudoFunctors/Preservation/BiadjunctionPreserveEquifiers.v)
   - [PseudoFunctors/Preservation/BiadjunctionPreserveCoproducts.v](Bicategories/PseudoFunctors/Preservation/BiadjunctionPreserveCoproducts.v)
   - [PseudoFunctors/Preservation/ClosedUnderEquivalence.v](Bicategories/PseudoFunctors/Preservation/ClosedUnderEquivalence.v)
   - [BicategoryOfBicat.v](Bicategories/BicategoryOfBicat.v)
   - [BicatOfBicategory.v](Bicategories/BicatOfBicategory.v)
   - [DisplayedBicats/Cartesians.v](Bicategories/DisplayedBicats/Cartesians.v)
   - [DisplayedBicats/EquivalenceBetweenCartesians.v](Bicategories/DisplayedBicats/EquivalenceBetweenCartesians.v)
   - [DisplayedBicats/CleavingOfBicatIsAProp.v](Bicategories/DisplayedBicats/CleavingOfBicatIsAProp.v)
   - [DisplayedBicats/CartesianPseudoFunctor.v](Bicategories/DisplayedBicats/CartesianPseudoFunctor.v)
   - [DisplayedBicats/ExamplesOfCleavings/TrivialCleaving.v](Bicategories/DisplayedBicats/ExamplesOfCleavings/TrivialCleaving.v)
   - [DisplayedBicats/ExamplesOfCleavings/SliceCleaving.v](Bicategories/DisplayedBicats/ExamplesOfCleavings/SliceCleaving.v)
   - [DisplayedBicats/ExamplesOfCleavings/FunctorsIntoCatCleaving.v](Bicategories/DisplayedBicats/ExamplesOfCleavings/FunctorsIntoCatCleaving.v)
   - [DisplayedBicats/ExamplesOfCleavings/CodomainCleaving.v](Bicategories/DisplayedBicats/ExamplesOfCleavings/CodomainCleaving.v)
   - [DisplayedBicats/ExamplesOfCleavings/FibrationCleaving.v](Bicategories/DisplayedBicats/ExamplesOfCleavings/FibrationCleaving.v)
   - [DisplayedBicats/ExamplesOfCleavings/OpFibrationCleaving.v](Bicategories/DisplayedBicats/ExamplesOfCleavings/OpFibrationCleaving.v)
   - [DisplayedBicats/FiberBicategory/FunctorFromCleaving.v](Bicategories/DisplayedBicats/FiberBicategory/FunctorFromCleaving.v)
   - [PseudoFunctors/Examples/Reindexing.v](Bicategories/PseudoFunctors/Examples/Reindexing.v)
   - [Logic/DisplayMapBicat.v](Bicategories/Logic/DisplayMapBicat.v)
   - [DisplayedBicats/Examples/DisplayMapBicatToDispBicat.v](Bicategories/DisplayedBicats/Examples/DisplayMapBicatToDispBicat.v)
   - [DisplayedBicats/Examples/DisplayMapBicatSlice.v](Bicategories/DisplayedBicats/Examples/DisplayMapBicatSlice.v)
   - [DisplayedBicats/ExamplesOfCleavings/DisplayMapBicatCleaving.v](Bicategories/DisplayedBicats/ExamplesOfCleavings/DisplayMapBicatCleaving.v)
   - [PseudoFunctors/Examples/PullbackFunctor.v](Bicategories/PseudoFunctors/Examples/PullbackFunctor.v)
   - [PseudoFunctors/Examples/CompositionPseudoFunctor.v](Bicategories/PseudoFunctors/Examples/CompositionPseudoFunctor.v)
   - [PseudoFunctors/Preservation/PullbackPreservation.v](Bicategories/PseudoFunctors/Preservation/PullbackPreservation.v)
   - [Limits/Examples/DisplayMapSliceLimits.v](Bicategories/Limits/Examples/DisplayMapSliceLimits.v)
   - [Colimits/Examples/DisplayMapSliceColimits.v](Bicategories/Colimits/Examples/DisplayMapSliceColimits.v)
   - [DisplayedBicats/FiberBicategory/TrivialFiber.v](Bicategories/DisplayedBicats/FiberBicategory/TrivialFiber.v)
   - [DisplayedBicats/FiberBicategory/CodomainFiber.v](Bicategories/DisplayedBicats/FiberBicategory/CodomainFiber.v)
   - [DisplayedBicats/FiberBicategory/SliceFiber.v](Bicategories/DisplayedBicats/FiberBicategory/SliceFiber.v)
   - [DisplayedBicats/FiberBicategory/DisplayMapFiber.v](Bicategories/DisplayedBicats/FiberBicategory/DisplayMapFiber.v)
   - [Grothendieck/FibrationToPseudoFunctor.v](Bicategories/Grothendieck/FibrationToPseudoFunctor.v)
   - [Grothendieck/PseudoFunctorToFibration.v](Bicategories/Grothendieck/PseudoFunctorToFibration.v)
   - [Grothendieck/Unit.v](Bicategories/Grothendieck/Unit.v)
   - [Grothendieck/Counit.v](Bicategories/Grothendieck/Counit.v)
   - [Grothendieck/Biequivalence.v](Bicategories/Grothendieck/Biequivalence.v)
   - [Grothendieck/FiberwiseEquiv.v](Bicategories/Grothendieck/FiberwiseEquiv.v)
   - [ComprehensionCat/BicatOfCompCat/DispCatTerminal.v](Bicategories/ComprehensionCat/BicatOfCompCat/DispCatTerminal.v)
   - [ComprehensionCat/BicatOfCompCat/FibTerminal.v](Bicategories/ComprehensionCat/BicatOfCompCat/FibTerminal.v)
   - [ComprehensionCat/BicatOfCompCat/CompCat.v](Bicategories/ComprehensionCat/BicatOfCompCat/CompCat.v)
   - [ComprehensionCat/BicatOfCompCat/FullCompCat.v](Bicategories/ComprehensionCat/BicatOfCompCat/FullCompCat.v)
   - [ComprehensionCat/BicatOfCompCat.v](Bicategories/ComprehensionCat/BicatOfCompCat.v)
   - [ComprehensionCat/CompCatNotations.v](Bicategories/ComprehensionCat/CompCatNotations.v)
   - [ComprehensionCat/TypeFormers/UnitTypes.v](Bicategories/ComprehensionCat/TypeFormers/UnitTypes.v)
   - [ComprehensionCat/TypeFormers/ProductTypes.v](Bicategories/ComprehensionCat/TypeFormers/ProductTypes.v)
   - [ComprehensionCat/TypeFormers/EqualizerTypes.v](Bicategories/ComprehensionCat/TypeFormers/EqualizerTypes.v)
   - [ComprehensionCat/TypeFormers/Democracy.v](Bicategories/ComprehensionCat/TypeFormers/Democracy.v)
   - [ComprehensionCat/TypeFormers/SigmaTypes.v](Bicategories/ComprehensionCat/TypeFormers/SigmaTypes.v)
   - [ComprehensionCat/TypeFormers/PiTypes.v](Bicategories/ComprehensionCat/TypeFormers/PiTypes.v)
   - [ComprehensionCat/DFLCompCat.v](Bicategories/ComprehensionCat/DFLCompCat.v)
   - [ComprehensionCat/DFLCompCatNotations.v](Bicategories/ComprehensionCat/DFLCompCatNotations.v)
   - [ComprehensionCat/ComprehensionEso.v](Bicategories/ComprehensionCat/ComprehensionEso.v)
   - [ComprehensionCat/Biequivalence/DFLCompCatToFinLim.v](Bicategories/ComprehensionCat/Biequivalence/DFLCompCatToFinLim.v)
   - [ComprehensionCat/Biequivalence/FinLimToDFLCompCat.v](Bicategories/ComprehensionCat/Biequivalence/FinLimToDFLCompCat.v)
   - [ComprehensionCat/Biequivalence/Unit.v](Bicategories/ComprehensionCat/Biequivalence/Unit.v)
   - [ComprehensionCat/Biequivalence/Counit.v](Bicategories/ComprehensionCat/Biequivalence/Counit.v)
   - [ComprehensionCat/Biequivalence/Biequiv.v](Bicategories/ComprehensionCat/Biequivalence/Biequiv.v)
   - [ComprehensionCat/LocalProperty/LocalProperties.v](Bicategories/ComprehensionCat/LocalProperty/LocalProperties.v)
   - [ComprehensionCat/LocalProperty/Examples.v](Bicategories/ComprehensionCat/LocalProperty/Examples.v)
   - [ComprehensionCat/LocalProperty/CatWithProp.v](Bicategories/ComprehensionCat/LocalProperty/CatWithProp.v)
   - [ComprehensionCat/LocalProperty/DFLCompCatWithProp.v](Bicategories/ComprehensionCat/LocalProperty/DFLCompCatWithProp.v)
   - [ComprehensionCat/Biequivalence/LocalProperty.v](Bicategories/ComprehensionCat/Biequivalence/LocalProperty.v)
   - [ComprehensionCat/TypeFormers/SubobjectTypes.v](Bicategories/ComprehensionCat/TypeFormers/SubobjectTypes.v)
   - [ComprehensionCat/Biequivalence/SubobjectClassifier.v](Bicategories/ComprehensionCat/Biequivalence/SubobjectClassifier.v)
   - [ComprehensionCat/Biequivalence/PiTypesBiequiv.v](Bicategories/ComprehensionCat/Biequivalence/PiTypesBiequiv.v)
   - [ComprehensionCat/Biequivalence/InternalLanguageTopos.v](Bicategories/ComprehensionCat/Biequivalence/InternalLanguageTopos.v)
   - [Logic/ComprehensionBicat.v](Bicategories/Logic/ComprehensionBicat.v)
   - [Logic/Examples/TrivialComprehensionBicat.v](Bicategories/Logic/Examples/TrivialComprehensionBicat.v)
   - [Logic/Examples/PullbackComprehensionBicat.v](Bicategories/Logic/Examples/PullbackComprehensionBicat.v)
   - [Logic/Examples/FibrationsComprehensionBicat.v](Bicategories/Logic/Examples/FibrationsComprehensionBicat.v)
   - [Logic/Examples/OpfibrationsComprehensionBicat.v](Bicategories/Logic/Examples/OpfibrationsComprehensionBicat.v)
   - [Logic/Examples/DisplayMapComprehensionBicat.v](Bicategories/Logic/Examples/DisplayMapComprehensionBicat.v)
   - [Logic/Examples/FunctorsIntoCatComprehensionBicat.v](Bicategories/Logic/Examples/FunctorsIntoCatComprehensionBicat.v)
   - [OtherStructure/DualityInvolution.v](Bicategories/OtherStructure/DualityInvolution.v)
   - [OtherStructure/DualityInvolutionProperties.v](Bicategories/OtherStructure/DualityInvolutionProperties.v)
   - [OtherStructure/ClassifyingDiscreteOpfib.v](Bicategories/OtherStructure/ClassifyingDiscreteOpfib.v)
   - [OtherStructure/Exponentials.v](Bicategories/OtherStructure/Exponentials.v)
   - [OtherStructure/Cores.v](Bicategories/OtherStructure/Cores.v)
   - [OtherStructure/Examples/StructureBicatOfUnivCats.v](Bicategories/OtherStructure/Examples/StructureBicatOfUnivCats.v)
   - [OtherStructure/Examples/StructureOneTypes.v](Bicategories/OtherStructure/Examples/StructureOneTypes.v)
   - [OtherStructure/Examples/StructureBicatOfEnrichedCats.v](Bicategories/OtherStructure/Examples/StructureBicatOfEnrichedCats.v)
   - [DisplayedBicats/DisplayedUniversalArrow.v](Bicategories/DisplayedBicats/DisplayedUniversalArrow.v)
   - [DisplayedBicats/DisplayedUniversalArrowOnCat.v](Bicategories/DisplayedBicats/DisplayedUniversalArrowOnCat.v)
   - [RezkCompletions/BicatToLocalUnivalentBicat.v](Bicategories/RezkCompletions/BicatToLocalUnivalentBicat.v)
   - [RezkCompletions/RezkCompletionOfBicategory.v](Bicategories/RezkCompletions/RezkCompletionOfBicategory.v)
   - [RezkCompletions/Uniqueness.v](Bicategories/RezkCompletions/Uniqueness.v)
   - [RezkCompletions/StructuredCats/TerminalObject.v](Bicategories/RezkCompletions/StructuredCats/TerminalObject.v)
   - [RezkCompletions/StructuredCats/BinProducts.v](Bicategories/RezkCompletions/StructuredCats/BinProducts.v)
   - [DaggerCategories/BicatOfDaggerCats.v](Bicategories/DaggerCategories/BicatOfDaggerCats.v)
   - [All.v](Bicategories/All.v)
## Package [Ktheory](Ktheory/README.md)
   - [GrothendieckGroup.v](Ktheory/GrothendieckGroup.v)
   - [All.v](Ktheory/All.v)
## Package Topology
   - [Prelim.v](Topology/Prelim.v)
   - [Filters.v](Topology/Filters.v)
   - [Topology.v](Topology/Topology.v)
   - [CategoryTop.v](Topology/CategoryTop.v)
   - [All.v](Topology/All.v)
## Package [RealNumbers](RealNumbers/README.md)
   - [Prelim.v](RealNumbers/Prelim.v)
   - [Fields.v](RealNumbers/Fields.v)
   - [Sets.v](RealNumbers/Sets.v)
   - [NonnegativeRationals.v](RealNumbers/NonnegativeRationals.v)
   - [NonnegativeReals.v](RealNumbers/NonnegativeReals.v)
   - [Reals.v](RealNumbers/Reals.v)
   - [DedekindCuts.v](RealNumbers/DedekindCuts.v)
   - [DecidableDedekindCuts.v](RealNumbers/DecidableDedekindCuts.v)
   - [All.v](RealNumbers/All.v)
## Package [SubstitutionSystems](SubstitutionSystems/README.md)
   - [Notation.v](SubstitutionSystems/Notation.v)
   - [Signatures.v](SubstitutionSystems/Signatures.v)
   - [BinSumOfSignatures.v](SubstitutionSystems/BinSumOfSignatures.v)
   - [SumOfSignatures.v](SubstitutionSystems/SumOfSignatures.v)
   - [BinProductOfSignatures.v](SubstitutionSystems/BinProductOfSignatures.v)
   - [SubstitutionSystems.v](SubstitutionSystems/SubstitutionSystems.v)
   - [SimplifiedHSS/SubstitutionSystems.v](SubstitutionSystems/SimplifiedHSS/SubstitutionSystems.v)
   - [SignaturesEquivRelativeStrength.v](SubstitutionSystems/SignaturesEquivRelativeStrength.v)
   - [GeneralizedSubstitutionSystems.v](SubstitutionSystems/GeneralizedSubstitutionSystems.v)
   - [MonadsFromSubstitutionSystems.v](SubstitutionSystems/MonadsFromSubstitutionSystems.v)
   - [SimplifiedHSS/MonadsFromSubstitutionSystems.v](SubstitutionSystems/SimplifiedHSS/MonadsFromSubstitutionSystems.v)
   - [GenMendlerIteration.v](SubstitutionSystems/GenMendlerIteration.v)
   - [GenMendlerIteration_alt.v](SubstitutionSystems/GenMendlerIteration_alt.v)
   - [ActionScenarioForGenMendlerIteration_alt.v](SubstitutionSystems/ActionScenarioForGenMendlerIteration_alt.v)
   - [ApplicationsGenMendlerIteration_alt.v](SubstitutionSystems/ApplicationsGenMendlerIteration_alt.v)
   - [LiftingInitial.v](SubstitutionSystems/LiftingInitial.v)
   - [SimplifiedHSS/LiftingInitial.v](SubstitutionSystems/SimplifiedHSS/LiftingInitial.v)
   - [LiftingInitial_alt.v](SubstitutionSystems/LiftingInitial_alt.v)
   - [SimplifiedHSS/LiftingInitial_alt.v](SubstitutionSystems/SimplifiedHSS/LiftingInitial_alt.v)
   - [ModulesFromSignatures.v](SubstitutionSystems/ModulesFromSignatures.v)
   - [SimplifiedHSS/ModulesFromSignatures.v](SubstitutionSystems/SimplifiedHSS/ModulesFromSignatures.v)
   - [LamSignature.v](SubstitutionSystems/LamSignature.v)
   - [Lam.v](SubstitutionSystems/Lam.v)
   - [SimplifiedHSS/Lam.v](SubstitutionSystems/SimplifiedHSS/Lam.v)
   - [SignatureExamples.v](SubstitutionSystems/SignatureExamples.v)
   - [SignatureCategory.v](SubstitutionSystems/SignatureCategory.v)
   - [SubstitutionSystems_Summary.v](SubstitutionSystems/SubstitutionSystems_Summary.v)
   - [SimplifiedHSS/SubstitutionSystems_Summary.v](SubstitutionSystems/SimplifiedHSS/SubstitutionSystems_Summary.v)
   - [LamHSET.v](SubstitutionSystems/LamHSET.v)
   - [SimplifiedHSS/LamHSET.v](SubstitutionSystems/SimplifiedHSS/LamHSET.v)
   - [BindingSigToMonad.v](SubstitutionSystems/BindingSigToMonad.v)
   - [SimplifiedHSS/BindingSigToMonad.v](SubstitutionSystems/SimplifiedHSS/BindingSigToMonad.v)
   - [LamFromBindingSig.v](SubstitutionSystems/LamFromBindingSig.v)
   - [SimplifiedHSS/LamFromBindingSig.v](SubstitutionSystems/SimplifiedHSS/LamFromBindingSig.v)
   - [MLTT79.v](SubstitutionSystems/MLTT79.v)
   - [SimplifiedHSS/MLTT79.v](SubstitutionSystems/SimplifiedHSS/MLTT79.v)
   - [FromBindingSigsToMonads_Summary.v](SubstitutionSystems/FromBindingSigsToMonads_Summary.v)
   - [SimplifiedHSS/FromBindingSigsToMonads_Summary.v](SubstitutionSystems/SimplifiedHSS/FromBindingSigsToMonads_Summary.v)
   - [SortIndexing.v](SubstitutionSystems/SortIndexing.v)
   - [MonadsMultiSorted.v](SubstitutionSystems/MonadsMultiSorted.v)
   - [MonadsMultiSorted_alt.v](SubstitutionSystems/MonadsMultiSorted_alt.v)
   - [MultiSortedBindingSig.v](SubstitutionSystems/MultiSortedBindingSig.v)
   - [MultiSorted.v](SubstitutionSystems/MultiSorted.v)
   - [MultiSortedMonadConstruction.v](SubstitutionSystems/MultiSortedMonadConstruction.v)
   - [SimplifiedHSS/MultiSortedMonadConstruction.v](SubstitutionSystems/SimplifiedHSS/MultiSortedMonadConstruction.v)
   - [MultiSorted_alt.v](SubstitutionSystems/MultiSorted_alt.v)
   - [MultiSortedMonadConstruction_alt.v](SubstitutionSystems/MultiSortedMonadConstruction_alt.v)
   - [SimplifiedHSS/MultiSortedMonadConstruction_alt.v](SubstitutionSystems/SimplifiedHSS/MultiSortedMonadConstruction_alt.v)
   - [MonadicSubstitution_alt.v](SubstitutionSystems/MonadicSubstitution_alt.v)
   - [SimplifiedHSS/MonadicSubstitution_alt.v](SubstitutionSystems/SimplifiedHSS/MonadicSubstitution_alt.v)
   - [STLC.v](SubstitutionSystems/STLC.v)
   - [SimplifiedHSS/STLC.v](SubstitutionSystems/SimplifiedHSS/STLC.v)
   - [STLC_alt.v](SubstitutionSystems/STLC_alt.v)
   - [SimplifiedHSS/STLC_alt.v](SubstitutionSystems/SimplifiedHSS/STLC_alt.v)
   - [CCS.v](SubstitutionSystems/CCS.v)
   - [SimplifiedHSS/CCS.v](SubstitutionSystems/SimplifiedHSS/CCS.v)
   - [CCS_alt.v](SubstitutionSystems/CCS_alt.v)
   - [SimplifiedHSS/CCS_alt.v](SubstitutionSystems/SimplifiedHSS/CCS_alt.v)
   - [PCF_alt.v](SubstitutionSystems/PCF_alt.v)
   - [SimplifiedHSS/PCF_alt.v](SubstitutionSystems/SimplifiedHSS/PCF_alt.v)
   - [ActionBasedStrengthOnHomsInBicat.v](SubstitutionSystems/ActionBasedStrengthOnHomsInBicat.v)
   - [EquivalenceSignaturesWithActegoryMorphisms.v](SubstitutionSystems/EquivalenceSignaturesWithActegoryMorphisms.v)
   - [EquivalenceLaxLineatorsHomogeneousCase.v](SubstitutionSystems/EquivalenceLaxLineatorsHomogeneousCase.v)
   - [SigmaMonoids.v](SubstitutionSystems/SigmaMonoids.v)
   - [ConstructionOfGHSS.v](SubstitutionSystems/ConstructionOfGHSS.v)
   - [BindingSigToMonad_actegorical.v](SubstitutionSystems/BindingSigToMonad_actegorical.v)
   - [ContinuitySignature/GeneralLemmas.v](SubstitutionSystems/ContinuitySignature/GeneralLemmas.v)
   - [ContinuitySignature/CommutingOfOmegaLimitsAndCoproducts.v](SubstitutionSystems/ContinuitySignature/CommutingOfOmegaLimitsAndCoproducts.v)
   - [ContinuitySignature/ContinuityOfMultiSortedSigToFunctor.v](SubstitutionSystems/ContinuitySignature/ContinuityOfMultiSortedSigToFunctor.v)
   - [ContinuitySignature/MultiSortedSignatureFunctorEquivalence.v](SubstitutionSystems/ContinuitySignature/MultiSortedSignatureFunctorEquivalence.v)
   - [ContinuitySignature/InstantiateHSET.v](SubstitutionSystems/ContinuitySignature/InstantiateHSET.v)
   - [MultiSorted_actegorical.v](SubstitutionSystems/MultiSorted_actegorical.v)
   - [MultiSortedMonadConstruction_actegorical.v](SubstitutionSystems/MultiSortedMonadConstruction_actegorical.v)
   - [MultiSortedMonadConstruction_coind_actegorical.v](SubstitutionSystems/MultiSortedMonadConstruction_coind_actegorical.v)
   - [MultiSortedEmbeddingIndCoindHSET.v](SubstitutionSystems/MultiSortedEmbeddingIndCoindHSET.v)
   - [UntypedForests.v](SubstitutionSystems/UntypedForests.v)
   - [Forests.v](SubstitutionSystems/Forests.v)
   - [STLC_actegorical.v](SubstitutionSystems/STLC_actegorical.v)
   - [STLC_actegorical_abstractcat.v](SubstitutionSystems/STLC_actegorical_abstractcat.v)
   - [All.v](SubstitutionSystems/All.v)
## Package [Folds](Folds/README.md)
   - [UnicodeNotations.v](Folds/UnicodeNotations.v)
   - [folds_precat.v](Folds/folds_precat.v)
   - [from_precats_to_folds_and_back.v](Folds/from_precats_to_folds_and_back.v)
   - [folds_isomorphism.v](Folds/folds_isomorphism.v)
   - [folds_pre_2_cat.v](Folds/folds_pre_2_cat.v)
   - [All.v](Folds/All.v)
## Package [HomologicalAlgebra](HomologicalAlgebra/README.md)
   - [Triangulated.v](HomologicalAlgebra/Triangulated.v)
   - [Complexes.v](HomologicalAlgebra/Complexes.v)
   - [KA.v](HomologicalAlgebra/KA.v)
   - [TranslationFunctors.v](HomologicalAlgebra/TranslationFunctors.v)
   - [MappingCone.v](HomologicalAlgebra/MappingCone.v)
   - [MappingCylinder.v](HomologicalAlgebra/MappingCylinder.v)
   - [KAPreTriangulated.v](HomologicalAlgebra/KAPreTriangulated.v)
   - [KATriangulated.v](HomologicalAlgebra/KATriangulated.v)
   - [CohomologyComplex.v](HomologicalAlgebra/CohomologyComplex.v)
   - [All.v](HomologicalAlgebra/All.v)
## Package [AlgebraicGeometry](AlgebraicGeometry/README.md)
   - [Topology.v](AlgebraicGeometry/Topology.v)
   - [SheavesOfRings.v](AlgebraicGeometry/SheavesOfRings.v)
   - [Spec.v](AlgebraicGeometry/Spec.v)
   - [All.v](AlgebraicGeometry/All.v)
## Package [Paradoxes](Paradoxes/README.md)
   - [GirardsParadox.v](Paradoxes/GirardsParadox.v)
   - [All.v](Paradoxes/All.v)
## Package [Induction](Induction/README.md)
   - [FunctorAlgebras_legacy.v](Induction/FunctorAlgebras_legacy.v)
   - [FunctorCoalgebras_legacy.v](Induction/FunctorCoalgebras_legacy.v)
   - [PolynomialFunctors.v](Induction/PolynomialFunctors.v)
   - [PolynomialAlgebras2Cells.v](Induction/PolynomialAlgebras2Cells.v)
   - [ImpredicativeInductiveSets.v](Induction/ImpredicativeInductiveSets.v)
   - [M/Core.v](Induction/M/Core.v)
   - [M/Limits.v](Induction/M/Limits.v)
   - [M/Uniqueness.v](Induction/M/Uniqueness.v)
   - [W/Core.v](Induction/W/Core.v)
   - [W/Wtypes.v](Induction/W/Wtypes.v)
   - [W/WtypesAsW.v](Induction/W/WtypesAsW.v)
   - [W/Fibered.v](Induction/W/Fibered.v)
   - [W/Naturals.v](Induction/W/Naturals.v)
   - [W/Uniqueness.v](Induction/W/Uniqueness.v)
   - [M/Chains.v](Induction/M/Chains.v)
   - [M/ComputationalM.v](Induction/M/ComputationalM.v)
   - [All.v](Induction/All.v)
## Package AlgebraicTheories
   - [FiniteSetSkeleton.v](AlgebraicTheories/FiniteSetSkeleton.v)
   - [IndexedSetCategory.v](AlgebraicTheories/IndexedSetCategory.v)
   - [AlgebraicTheoryCategoryCore.v](AlgebraicTheories/AlgebraicTheoryCategoryCore.v)
   - [AlgebraicTheories.v](AlgebraicTheories/AlgebraicTheories.v)
   - [AlgebraicTheoryMorphisms.v](AlgebraicTheories/AlgebraicTheoryMorphisms.v)
   - [AlgebraicTheoryCategory.v](AlgebraicTheories/AlgebraicTheoryCategory.v)
   - [AlgebraCategoryCore.v](AlgebraicTheories/AlgebraCategoryCore.v)
   - [Algebras.v](AlgebraicTheories/Algebras.v)
   - [AlgebraMorphisms.v](AlgebraicTheories/AlgebraMorphisms.v)
   - [AlgebraCategory.v](AlgebraicTheories/AlgebraCategory.v)
   - [LambdaCalculus.v](AlgebraicTheories/LambdaCalculus.v)
   - [LambdaTheoryCategoryCore.v](AlgebraicTheories/LambdaTheoryCategoryCore.v)
   - [LambdaTheories.v](AlgebraicTheories/LambdaTheories.v)
   - [LambdaTheoryMorphisms.v](AlgebraicTheories/LambdaTheoryMorphisms.v)
   - [LambdaTheoryCategory.v](AlgebraicTheories/LambdaTheoryCategory.v)
   - [PresheafCategoryCore.v](AlgebraicTheories/PresheafCategoryCore.v)
   - [Presheaves.v](AlgebraicTheories/Presheaves.v)
   - [PresheafMorphisms.v](AlgebraicTheories/PresheafMorphisms.v)
   - [PresheafCategory.v](AlgebraicTheories/PresheafCategory.v)
   - [Examples/EndomorphismTheory.v](AlgebraicTheories/Examples/EndomorphismTheory.v)
   - [Examples/FreeObjectTheory.v](AlgebraicTheories/Examples/FreeObjectTheory.v)
   - [Examples/FreeMonoidTheory.v](AlgebraicTheories/Examples/FreeMonoidTheory.v)
   - [Examples/FreeTheory.v](AlgebraicTheories/Examples/FreeTheory.v)
   - [Examples/LambdaCalculus.v](AlgebraicTheories/Examples/LambdaCalculus.v)
   - [Examples/OnePointTheory.v](AlgebraicTheories/Examples/OnePointTheory.v)
   - [Examples/Plus1Presheaf.v](AlgebraicTheories/Examples/Plus1Presheaf.v)
   - [Examples/ProjectionsTheory.v](AlgebraicTheories/Examples/ProjectionsTheory.v)
   - [Examples/TheoryAlgebra.v](AlgebraicTheories/Examples/TheoryAlgebra.v)
   - [Examples/ExtensionsTheory.v](AlgebraicTheories/Examples/ExtensionsTheory.v)
   - [AlgebraicTheoryToLawvereTheory.v](AlgebraicTheories/AlgebraicTheoryToLawvereTheory.v)
   - [AlgebraicTheoryToMonoid.v](AlgebraicTheories/AlgebraicTheoryToMonoid.v)
   - [Combinators.v](AlgebraicTheories/Combinators.v)
   - [CategoryOfRetracts.v](AlgebraicTheories/CategoryOfRetracts.v)
   - [OriginalRepresentationTheorem.v](AlgebraicTheories/OriginalRepresentationTheorem.v)
   - [RepresentationTheorem.v](AlgebraicTheories/RepresentationTheorem.v)
   - [FundamentalTheorem/SurjectivePrecomposition.v](AlgebraicTheories/FundamentalTheorem/SurjectivePrecomposition.v)
   - [FundamentalTheorem/CommonUtilities/KaroubiEnvelope.v](AlgebraicTheories/FundamentalTheorem/CommonUtilities/KaroubiEnvelope.v)
   - [FundamentalTheorem/CommonUtilities/MonoidActions.v](AlgebraicTheories/FundamentalTheorem/CommonUtilities/MonoidActions.v)
   - [FundamentalTheorem/AlgebraToTheory.v](AlgebraicTheories/FundamentalTheorem/AlgebraToTheory.v)
   - [All.v](AlgebraicTheories/All.v)
## Package Semantics
   - [LinearLogic/LinearNonLinear.v](Semantics/LinearLogic/LinearNonLinear.v)
   - [LinearLogic/LafontCategory.v](Semantics/LinearLogic/LafontCategory.v)
   - [LinearLogic/LinearCategory.v](Semantics/LinearLogic/LinearCategory.v)
   - [LinearLogic/LinearCategoryEilenbergMooreAdjunction.v](Semantics/LinearLogic/LinearCategoryEilenbergMooreAdjunction.v)
   - [LinearLogic/LinearToLinearNonLinear.v](Semantics/LinearLogic/LinearToLinearNonLinear.v)
   - [LinearLogic/RelationalModel.v](Semantics/LinearLogic/RelationalModel.v)
   - [LinearLogic/LiftingModel.v](Semantics/LinearLogic/LiftingModel.v)
   - [EnrichedEffectCalculus/EECModel.v](Semantics/EnrichedEffectCalculus/EECModel.v)
   - [EnrichedEffectCalculus/ContinuationModel.v](Semantics/EnrichedEffectCalculus/ContinuationModel.v)
   - [EnrichedEffectCalculus/CopowerModel.v](Semantics/EnrichedEffectCalculus/CopowerModel.v)
   - [All.v](Semantics/All.v)
